# API 文档: 点赞

## 接口概览

-   **Endpoint:** `/send_like`
-   **方法:** `POST`
-   **描述:** 对指定用户进行点赞操作。
-   **标签:** 账号相关

## 请求参数

请求体是一个 JSON 对象，包含以下字段：

| 字段名    | 类型        | 是否必须 | 描述     | 默认值 |
| :-------- | :---------- | :------- | :------- | :----- |
| `user_id` | `number` 或 `string` | 是       | 要点赞的用户QQ号 | 无     |
| `times`   | `number`    | 否       | 点赞次数   | 1      |

## 请求示例

```json
{
  "user_id": 123456789,
  "times": 3
}
```

```json
{
  "user_id": "987654321"
}
```

## 响应结构

响应体是一个 JSON 对象，表示操作结果。

| 字段名  | 类型      | 描述                                                                 |
| :------ | :-------- | :------------------------------------------------------------------- |
| `status`| `string`  | API调用状态，成功时为 `ok`。                                          |
| `retcode`| `number`  | 框架返回的状态码。0通常表示成功，非0表示失败。                        |
| `data`  | `null`    | 此接口成功时 `data` 字段固定为 `null`。                               |
| `message`| `string`  | 详细的文本消息，用于描述操作结果。                                    |
| `wording`| `string`  | 更友好的文本提示，通常用于向用户显示。                                |
| `echo`  | `string` 或 `null` | 可选字段，如果请求中携带了 `echo` 字段，响应会原样返回该字段。 |

## 成功响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "操作成功",
  "echo": "user_request_id_abc"
}
```

## 错误处理

如果 `status` 不为 `ok` 或 `retcode` 非0，表示API调用失败。此时可以查看 `message` 和 `wording` 字段获取具体的错误信息。