## API Reference: `/set_group_kick`

### 群踢人

*   **Endpoint:** `POST /set_group_kick`
*   **Tags:** 群聊相关

#### Description

此接口用于将指定用户从群组中踢出。可以选择是否同时将该用户拉入群黑名单，阻止其再次加入该群。

#### Request Parameters

| 参数名             | 类型           | 必须 | 说明                 |
| :----------------- | :------------- | :--- | :------------------- |
| `group_id`         | `number`/`string` | 是   | 要踢出成员的群号     |
| `user_id`          | `number`/`string` | 是   | 要踢出的成员QQ号     |
| `reject_add_request` | `boolean`      | 是   | 是否阻止此用户下次申请 |

#### Response

**成功响应 (状态码 200):**

成功执行请求后，将返回包含操作结果的标准响应结构。

```json
{
  "status": "ok",
  "retcode": 0, // 或其他表示成功的状态码
  "data": null, // 踢人操作成功时，data字段为null
  "message": "", // 成功时的消息
  "wording": "", // 成功时的文案
  "echo": "..." // 可选，请求时提供的echo字段
}
```

*   `status`: 请求处理状态，`ok` 表示成功。
*   `retcode`: 响应码，0 通常表示成功，具体含义参考NapcatAPI错误码列表。
*   `data`: 操作成功时此字段为 `null`。
*   `message`: 详细的成功消息。
*   `wording`: 用户友好的成功文案。
*   `echo`: 如果请求时携带了 `echo` 字段，响应会原样返回。

#### Error Handling

如果请求失败（例如，机器人没有权限踢人、`group_id` 或 `user_id` 不存在、参数错误等），`status` 将为 `failed`，`retcode` 将是非零值，`message` 和 `wording` 将包含错误详情。

#### Example

将群号 `12345` 中的用户 `67890` 踢出，并阻止其下次申请加入。

```json
{
  "group_id": 12345,
  "user_id": 67890,
  "reject_add_request": true
}
```
