## API: 群禁言 (set_group_ban)

对指定群成员进行禁言（或解除禁言）操作。

*   **Endpoint:** `/set_group_ban`
*   **Method:** `POST`
*   **Tags:** 群聊相关

### 请求参数 (Request Body)

| 参数名     | 类型       | 必需 | 说明                       |
| :--------- | :--------- | :--- | :------------------------- |
| `group_id` | Number/String | 是   | 群号                       |
| `user_id`  | Number/String | 是   | 要禁言的群成员QQ号           |
| `duration` | Number     | 是   | 禁言时长，单位秒。为 0 时表示解除禁言。 |

**请求示例:**

```json
{
  "group_id": 123456789,
  "user_id": 10001,
  "duration": 60
}
```

### 响应说明 (Response)

标准的 Napcat API 响应结构。`data` 字段固定为 `null`。

| 参数名    | 类型    | 说明                                       |
| :-------- | :------ | :----------------------------------------- |
| `status`  | string  | 状态，`ok` 表示成功，`failed` 表示失败          |
| `retcode` | number  | 状态码                                     |
| `data`    | null    | 固定为 `null`                              |
| `message` | string  | 错误信息 (仅在 `status` 为 `failed` 时有意义) |
| `wording` | string  | 错误信息的友好描述 (仅在 `status` 为 `failed` 时有意义) |
| `echo`    | string  | 请求的 `echo` 字段 (可选)                  |

**成功响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": ""
}
```

**失败响应示例:**

```json
{
  "status": "failed",
  "retcode": 100,
  "data": null,
  "message": "Permission denied",
  "wording": "机器人没有管理员权限或群主权限"
}
```