## 全体禁言

### Endpoint

`POST /set_group_whole_ban`

### 说明

用于设置群聊的全体禁言状态。

### 标签

群聊相关

### 请求体 Request Body

| 参数名   | 类型          | 必需 | 说明                 |
| :------- | :------------ | :--- | :------------------- |
| `group_id` | number 或 string | 是   | 要设置的群号         |
| `enable`   | boolean       | 是   | 是否开启或关闭全体禁言 (`true` 为开启, `false` 为关闭) |

### 响应 Response

#### `200 OK`

表示请求成功，成功设置了群聊的全体禁言状态。

##### 响应体 Response Body

| 参数名    | 类型    | 说明                                     |
| :-------- | :------ | :--------------------------------------- |
| `status`  | string  | API 调用状态，通常为 `ok`。                |
| `retcode` | number  | 返回码，表示 API 执行结果。`0` 通常表示成功。 |
| `data`    | null    | 固定为 `null`。                            |
| `message` | string  | 错误信息，仅在 API 调用失败时有效。        |
| `wording` | string  | 错误信息的更详细描述。                     |
| `echo`    | string  | 开发者提交的 echo 字段，如果提交了的话。 |

### 示例 Example

#### 请求开启全体禁言

```json
{
  "group_id": 123456789,
  "enable": true
}
```

#### 响应示例 (成功)

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": null
}
```

#### 请求关闭全体禁言

```json
{
  "group_id": 123456789,
  "enable": false
}
```

#### 响应示例 (成功)

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": null
}
```