# 设置群管理 (POST /set_group_admin)

## 说明

该API用于设置或取消指定群成员的群管理员权限。

**注意:** 执行此操作的账号必须是该群的群主，否则会失败。

## Endpoint

POST `/set_group_admin`

## 请求参数

| 参数名    | 类型         | 必填 | 说明                                  |
| :-------- | :----------- | :--- | :------------------------------------ |
| `group_id` | number 或 string | 是   | 群号                                  |
| `user_id`  | number 或 string | 是   | 要设置或取消管理员权限的成员ID          |
| `enable`   | boolean      | 是   | `true` 表示设置管理员，`false` 表示取消管理员 |

## 响应

### 成功响应 (HTTP 200)

当请求成功时，API将返回如下JSON结构：

```json
{
  "status": "ok",
  "retcode": 0, // 通常为0表示成功
  "data": null, // 此接口成功时 data 字段为 null
  "message": "", // 成功时的消息，可能为空
  "wording": "", // 成功时的用户友好提示，可能为空
  "echo": null // 回显字段，如果请求时携带了 echo
}
```

**字段说明:**

*   `status`: 请求状态，`ok` 表示成功。
*   `retcode`: 返回码，`0` 通常表示成功。常见的错误码包括 `100` (参数错误) 和 `200` (权限不足)。
*   `data`: 接口返回的具体数据，此接口成功时为 `null`。
*   `message`: 错误信息，成功时可能为空。
*   `wording`: 用户友好的错误提示，成功时可能为空。
*   `echo`: 请求时携带的 `echo` 字段会被原样返回，用于区分不同的请求。

### 错误响应

当请求失败时（如权限不足、群号或成员ID不存在、参数错误等），`status` 将不为 `ok`，`retcode` 将为非零值（例如 `100` 或 `200`），并且 `message` 和/或 `wording` 字段将包含具体的错误信息。

```json
{
  "status": "failed", // 或其他非 ok 值
  "retcode": -xxxxx, // 非零错误码，如 100, 200 等
  "data": null,
  "message": "具体的错误信息",
  "wording": "用户友好的错误提示",
  "echo": null // 或请求时携带的 echo
}
```

## 示例

### 请求示例

设置用户 `987654321` 在群 `123456789` 中为管理员：

```json
{
  "group_id": 123456789,
  "user_id": 987654321,
  "enable": true
}
```

### 响应示例 (成功)

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": null
}
```

## 编辑日志

- Initial documentation for `/set_group_admin` API.