# 设置群成员名片

**Endpoint:** `POST /set_group_card`

**标签:** 群聊相关

**说明:**

用于设置指定群聊成员的群名片（昵称）。如果名片内容为空，则表示清空该成员的群名片。

**请求参数:**

请求体为一个 JSON 对象，包含以下字段：

| 参数名   | 类型           | 必选 | 说明                       |
| :------- | :------------- | :--- | :------------------------- |
| `group_id` | `number` 或 `string` | 是   | 群号                       |
| `user_id`  | `number` 或 `string` | 是   | 群成员的 QQ 号             |
| `card`     | `string`       | 否   | 要设置的群名片内容，为空则为取消群名片 |

**响应:**

成功时返回标准 API 响应结构，`data` 字段固定为 `null`。

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": "..." // 可能包含请求时的 echo 字段
}
```

**示例:**

*   **设置群名片:**

    ```json
    {
      "group_id": 123456789,
      "user_id": 10001,
      "card": "新昵称"
    }
    ```

*   **清空群名片:**

    ```json
    {
      "group_id": 123456789,
      "user_id": 10001,
      "card": ""
    }
    ```