# 设置群名

## Endpoint

`POST /set_group_name`

## 说明

此API用于设置指定群的群名。请注意，调用此接口需要具备相应的权限。

## 标签

* 群聊相关

## 请求体 (Request Body)

请求体是一个 JSON 对象，包含以下属性：

| 属性名     | 类型           | 必须 | 说明         |
| ---------- | -------------- | ---- | ------------ |
| `group_id` | `number` 或 `string` | 是   | 要设置群名的群号 |
| `group_name` | `string`       | 是   | 新的群名       |

## 响应 (Response)

### 状态码 200: 成功

表示群名设置成功。

响应体是一个 JSON 对象，通常包含以下属性：

| 属性名    | 类型     | 说明                                   |
| --------- | -------- | -------------------------------------- |
| `status`  | `string` | 状态码，`ok` 表示成功                  |
| `retcode` | `number` | 返回码，0表示成功，其他值表示错误      |
| `data`    | `null`   | 数据字段，此接口返回时通常为 `null`    |
| `message` | `string` | 消息，通常是错误的简述                 |
| `wording` | `string` | 附加说明，通常是错误的详细描述         |
| `echo`    | `string` 或 `null` | 调用时传入的 `echo` 字段 (如果提供) |

## 示例

**请求示例 (Request Example):**

```json
{
  "group_id": 123456789,
  "group_name": "新的群名"
}
```

**响应示例 (Response Example):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": "some_echo_data"
}
```