## 退群

**Endpoint:** `/set_group_leave`

**Method:** `POST`

**说明:**

机器人或登录用户离开指定的群聊。

- 如果 `is_dismiss` 设置为 `true`，并且机器人是该群的群主或管理员，则会尝试解散群聊。
- 如果 `is_dismiss` 设置为 `false` 或者机器人不是群主/管理员，则只会退出群聊。

**请求参数:**

| 参数名    | 类型           | 必填 | 说明                                             |
| :-------- | :------------- | :--- | :----------------------------------------------- |
| `group_id`  | `number` 或 `string` | 是   | 要退出的群号。                                   |
| `is_dismiss`| `boolean`      | 否   | 是否解散群聊（需要机器人是群主/管理员）。默认为 `false`。 |

**响应:**

标准响应对象，`data` 字段固定为 `null`。

| 参数名    | 类型    | 说明                                   |
| :-------- | :------ | :------------------------------------- |
| `status`  | `string`  | 状态，`ok` 表示成功，`failed` 表示失败。 |
| `retcode` | `number`  | 返回码。                              |
| `data`    | `null`  | 数据内容，此接口固定为 `null`。        |
| `message` | `string`  | 状态消息。                            |
| `wording` | `string`  | 友好提示。                            |
| `echo`    | `string`  | 回显。                                 |

**示例请求:**

```json
{
  "group_id": 123456789,
  "is_dismiss": false
}
```
