## 设置群头衔

### Endpoint

`POST /set_group_special_title`

### 说明

该API用于设置指定群成员的特殊头衔。如果特殊头衔为空，则会取消该成员的当前特殊头衔。

需要机器人具备群管理权限。

### 标签

群聊相关

### 请求参数 (Request Body)

| 参数名         | 类型             | 必填 | 说明                  |
| :------------- | :--------------- | :--- | :-------------------- |
| `group_id`     | `number` 或 `string` | 是   | 群号                  |
| `user_id`      | `number` 或 `string` | 是   | 待设置的群成员QQ号      |
| `special_title`| `string`         | 否   | 特殊头衔，为空则取消头衔 |

### 响应 (Response)

*   **`200 OK`**: 操作成功。

    | 参数名  | 类型    | 说明                 |
    | :------ | :------ | :------------------- |
    | `status`  | `string`  | 状态 (`ok`)          |
    | `retcode` | `number`  | 返回码               |
    | `data`    | `null`    | 成功时数据为空       |
    | `message` | `string`  | 详细信息             |
    | `wording` | `string`  | 更加详细的说明（可能为空） |
    | `echo`    | `string`  | 请求发送时携带的 echo (可选) |

### 示例

**设置群头衔请求:**

```json
{
    "group_id": 123456789,
    "user_id": 10001,
    "special_title": "群内大佬"
}
```

**取消群头衔请求:**

```json
{
    "group_id": 123456789,
    "user_id": 10001,
    "special_title": ""
}
```

**成功响应:**

```json
{
    "status": "ok",
    "retcode": 0,
    "data": null,
    "message": "",
    "wording": "",
    "echo": "your_echo_here"
}
```
