## 处理好友请求

### API Endpoint

`/set_friend_add_request`

### 请求方法

`POST`

### 功能描述

此API用于处理收到的好友请求。您可以选择同意或拒绝请求，并为同意的好友添加备注。

### 请求参数

请求体是一个JSON对象，包含以下参数：

| 参数名 | 类型 | 是否必须 | 描述     |
| :----- | :--- | :------- | :------- |
| `flag` | string | 是       | 请求标识ID，由好友请求事件提供。 |
| `approve` | boolean | 是       | 是否同意好友请求。`true` 表示同意，`false` 表示拒绝。 |
| `remark` | string | 是       | 如果同意好友请求，为新好友设置的备注。 |

### 请求示例

```json
{
  "flag": "some_request_flag",
  "approve": true,
  "remark": "我的好朋友"
}
```

### 响应说明

成功时，API将返回标准的响应结构。`data` 字段在此接口中固定为 `null`。

| 参数名    | 类型   | 描述                                   |
| :-------- | :----- | :------------------------------------- |
| `status`  | string | 状态，通常为 `ok` 表示成功。             |
| `retcode` | number | 返回码。                               |
| `data`    | null   | 此接口数据字段固定为 `null`。            |
| `message` | string | 详细信息。                             |
| `wording` | string | 适合展示给用户的文本信息。               |
| `echo`    | string | 对应请求中的 `echo` 字段（如果提供了）。 |

### 响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": ""
}
```