## API：获取登录号信息

### Endpoint

`POST /get_login_info`

### 简介

获取当前登录账号的基本信息，包括用户ID和昵称。

### 请求

此API无需任何请求参数或请求体。

### 响应

成功时返回包含登录号信息的JSON对象。

| 字段名  | 类型    | 说明                                   |
| :------ | :------ | :------------------------------------- |
| `status`  | `string`  | 状态码，`ok` 表示成功                  |
| `retcode` | `number`  | 返回码，通常 `0` 表示成功             |
| `data`    | `object`  | 响应数据体                             |
| `message` | `string`  | 错误信息（在 `status` 不是 `ok` 时出现） |
| `wording` | `string`  | 错误信息的友好表达（在 `status` 不是 `ok` 时出现） |
| `echo`    | `string`  | 客户端请求携带的 `echo` 原样返回（可选） |

`data` 字段说明:

| 字段名     | 类型    | 说明         |
| :--------- | :------ | :----------- |
| `user_id`  | `number`  | 登录号的QQ号 |
| `nickname` | `string`  | 登录号的昵称 |

### 响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "user_id": 123456789,
    "nickname": "机器人昵称"
  },
  "message": "",
  "wording": "",
  "echo": null
}
```