## API: 获取账号信息

-   **Endpoint:** `/get_stranger_info`
-   **方法:** `POST`
-   **描述:** 获取指定用户（非好友）的详细账号信息。此接口可以用于查询任何QQ用户的公开信息。

### 请求参数

请求体为 `application/json` 格式。

| 参数名  | 类型      | 是否必需 | 描述     |
| :------ | :-------- | :------- | :------- |
| user_id | number 或 string | 是       | 需要查询的用户的QQ号。 |

**请求示例:**

```json
{
  "user_id": 1627126029
}
```

### 响应数据

成功响应通常包含用户的详细信息。

| 参数名      | 类型    | 描述         |
| :---------- | :------ | :----------- |
| user_id     | number  | 用户QQ号      |
| uid         | string  | 用户唯一标识符 |
| uin         | string  | 用户QQ号 (同 user_id) |
| nickname    | string  | 昵称         |
| age         | number  | 年龄         |
| qid         | string  | QID          |
| qqLevel     | number  | 账号等级      |
| sex         | string  | 性别 (`male`, `female`, `unknown`) |
| long_nick   | string  | 个性签名      |
| reg_time    | number  | 注册时间 (Unix时间戳) |
| is_vip      | boolean | 是否会员      |
| is_years_vip| boolean | 是否年费会员   |
| vip_level   | number  | 会员等级      |
| remark      | string  | 备注 (机器人视角) |
| status      | number  | 状态 (具体含义未知) |
| login_days  | number  | 连续登录天数   |

**响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "user_id": 1627126029,
    "uid": "some_uid",
    "uin": "1627126029",
    "nickname": "示例昵称",
    "age": 18,
    "qid": "some_qid",
    "qqLevel": 50,
    "sex": "male",
    "long_nick": "示例个性签名",
    "reg_time": 1500000000,
    "is_vip": true,
    "is_years_vip": false,
    "vip_level": 5,
    "remark": "",
    "status": 0,
    "login_days": 365
  },
  "message": "",
  "wording": "",
  "echo": null
}
```

### 错误响应

当请求失败时，`status` 可能为 `failed`，`retcode` 为非零值，并且 `message` 和 `wording` 会提供错误信息。

