# 获取好友列表

## Endpoint

`POST /get_friend_list`

## 说明

获取当前登录账号的好友列表。

## 请求

### Path Parameters

无

### Query Parameters

无

### Request Body

| 字段名   | 类型    | 默认值 | 描述   | 必须 |
| :------- | :------ | :----- | :----- | :--- |
| no_cache | boolean | false  | 是否使用缓存的数据，默认为 false。设置为 true 时会强制刷新好友列表。 | 否  |

## 响应

### 成功响应 (`200 OK`)

返回一个包含好友列表的JSON对象。

| 字段名  | 类型    | 描述                               |
| :------ | :------ | :--------------------------------- |
| status  | string  | 状态码，"ok" 表示成功。             |
| retcode | number  | 返回码，0 表示成功。                |
| data    | array   | 好友信息列表，每个元素为一个好友信息对象。 |
| message | string  | 消息。                             |
| wording | string  | 进一步说明。                       |
| echo    | string  | 对应请求的 echo 字段（如果提供）。   |

#### data 数组元素: 好友信息对象

| 字段名       | 类型   | 描述       |
| :----------- | :----- | :--------- |
| user_id      | number | QQ账号     |
| nickname     | string | 昵称       |
| remark       | string | 备注       |
| sex          | string | 性别       |
| age          | number | 年龄       |
| level        | number | 等级       |
| phone_num    | string | 电话号码   |
| email        | string | 邮箱       |
| category_id  | number | 分组ID     |
| birthday_year | number | 生日年份   |
| birthday_month | number | 生日月份   |
| birthday_day | number | 生日日期   |

## 示例

### 请求示例

```json
{
  "no_cache": false
}
```

### 响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "user_id": 123456789,
      "nickname": "好友A",
      "remark": "备注A",
      "sex": "male",
      "age": 25,
      "level": 50,
      "phone_num": "138xxxx...",
      "email": "a@example.com",
      "category_id": 1,
      "birthday_year": 1998,
      "birthday_month": 5,
      "birthday_day": 10
    },
    {
      "user_id": 987654321,
      "nickname": "好友B",
      "remark": "备注B",
      "sex": "female",
      "age": 22,
      "level": 45,
      "phone_num": "139xxxx...",
      "email": "b@example.com",
      "category_id": 2,
      "birthday_year": 2001,
      "birthday_month": 8,
      "birthday_day": 20
    }
  ],
  "message": "",
  "wording": "",
  "echo": null
}
```
