## API: 获取群信息

### Endpoint

`POST /get_group_info`

### 简介

此API用于获取指定群组的详细信息。

### 请求参数

| 字段名   | 类型            | 是否必需 | 描述   |
| :------- | :-------------- | :------- | :----- |
| `group_id` | `number` 或 `string` | 是       | 群号   |

### 响应数据

| 字段名           | 类型     | 描述                         |
| :--------------- | :------- | :--------------------------- |
| `status`         | `string` | 状态，通常为 `ok` 表示成功。 |
| `retcode`        | `number` | 返回码。                     |
| `data`           | `object` | 包含群详细信息的对象。       |
| `data.group_id`  | `string` | 群号。                       |
| `data.group_name`| `string` | 群名。                       |
| `data.group_remark`| `string` | 群备注。                     |
| `data.member_count`| `number` | 当前群成员数量。             |
| `data.max_member_count`| `number` | 群最大成员数量。             |
| `data.group_all_shut`| `number` | 群禁言状态（例如 0表示未全员禁言）。 |
| `message`        | `string` | 消息，通常用于描述错误信息。 |
| `wording`        | `string` | 详细描述或错误提示。         |
| `echo`           | `string` | 回显字段，如果请求时携带则会原样返回。 |

### 示例

**请求示例:**

```json
{
  "group_id": 123456789
}
```

**成功响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "group_id": "123456789",
    "group_name": "示例群",
    "group_remark": "这是一个示例群",
    "member_count": 150,
    "max_member_count": 200,
    "group_all_shut": 0
  },
  "message": "",
  "wording": "",
  "echo": ""
}
```