# API Endpoints

## 获取群列表

**POST** `/get_group_list`

获取当前登录账号的群列表。

**Tags:** `群聊相关`

#### Request Body

| 参数名   | 类型    | 默认值 | 说明   | 必填 |
| :------- | :------ | :----- | :----- | :--- |
| no_cache | boolean | false  | 不缓存 | 是   |

#### Response

| 状态码 | 说明 |
| :----- | :--- |
| 200    | 成功 |

成功返回示例:

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "group_all_shut": 0,
      "group_remark": "",
      "group_id": "123456",
      "group_name": "测试群聊",
      "member_count": 10,
      "max_member_count": 500
    }
    // ...更多群信息对象
  ],
  "message": "",
  "wording": "",
  "echo": null
}
```

**Response Body Fields:**

| 参数名     | 类型            | 说明       |
| :--------- | :-------------- | :--------- |
| status     | string          | 状态       |
| retcode    | number          | 返回码     |
| data       | array of object | 群信息列表 |
| message    | string          | 消息       |
| wording    | string          | 文案       |
| echo       | string, null    | 回显       |

**`data` 字段 (数组中的对象 - 群信息):**

| 参数名           | 类型   | 说明         |
| :--------------- | :----- | :----------- |
| group_all_shut   | number | 群全员禁言状态 |
| group_remark     | string | 群备注       |
| group_id         | string | 群号         |
| group_name       | string | 群名         |
| member_count     | number | 成员数量     |
| max_member_count | number | 最大成员数量   |
