# 获取群成员信息 API

## 概述

该 API 用于获取指定群组中某个成员的详细信息，例如昵称、群名片、角色、入群时间等。

## Endpoint

`POST /get_group_member_info`

## 请求参数 (Request Body)

请求体是一个 JSON 对象，包含以下字段：

| 字段名       | 类型           | 必需 | 说明                                   |
| :----------- | :------------- | :--- | :------------------------------------- |
| `group_id`   | number 或 string | 是   | 要获取成员信息的群号                     |
| `user_id`    | number 或 string | 是   | 要获取信息的群成员 QQ 号 (用户 ID)        |
| `no_cache`   | boolean        | 是   | 是否不使用缓存，强制拉取新的成员信息       |

## 响应 (Response)

成功时返回一个 JSON 对象，包含以下字段：

| 字段名    | 类型           | 说明                                           |
| :-------- | :------------- | :--------------------------------------------- |
| `status`  | string         | 响应状态，成功时固定为 `"ok"`                      |
| `retcode` | number         | 响应码，0 通常表示成功                         |
| `data`    | object         | 群成员信息对象                                   |
| `message` | string         | 错误信息，成功时通常为空字符串                 |
| `wording` | string         | 更多描述性信息或提示                            |
| `echo`    | string 或 null | 如果请求中携带了 `echo` 字段，则会原样返回       |

### `data` 字段详解 (群成员信息)

`data` 字段是一个对象，包含指定群成员的详细信息：

| 字段名            | 类型    | 说明                                                     |
| :---------------- | :------ | :------------------------------------------------------- |
| `group_id`        | number  | 群号                                                     |
| `user_id`         | number  | 群成员 QQ 号                                              |
| `nickname`        | string  | 昵称                                                     |
| `card`            | string  | 群名片                                                   |
| `sex`             | string  | 性别 (`male` 男, `female` 女, `unknown` 未知)                |
| `age`             | number  | 年龄                                                     |
| `area`            | string  | 地区                                                     |
| `level`           | number  | 群等级 (群内积分等级)                                      |
| `qq_level`        | number  | QQ 等级                                                  |
| `join_time`       | number  | 加群时间戳 (秒)                                          |
| `last_sent_time`  | number  | 最后发言时间戳 (秒)                                        |
| `title_expire_time` | number  | 专属头衔到期时间戳 (秒)，0 表示无头衔或永不过期             |
| `unfriendly`      | boolean | 是否为不良记录成员 (通常指被风控或有违规行为)                |
| `card_changeable` | boolean | 群名片是否可以修改                                         |
| `is_robot`        | boolean | 是否是机器人账号                                         |
| `shut_up_timestamp` | number  | 禁言到期时间戳 (秒)，0 表示未被禁言或已解除禁言             |
| `role`            | string  | 成员权限/角色 (`owner` 群主, `admin` 管理员, `member` 普通成员) |
| `title`           | string  | 专属头衔                                                 |

## 示例

暂无示例提供。
