# 获取群荣誉 (get_group_honor_info)

## Endpoint

`POST /get_group_honor_info`

## 说明

获取指定群的荣誉信息。荣誉类型可以通过参数指定。

| type          | 类型说明           |
|---------------|--------------------|
| all           | 所有（默认）       |
| talkative     | 群聊之火           |
| performer     | 群聊炽焰           |
| legend        | 龙王               |
| strong_newbie | 冒尖小春笋（R.I.P） |
| emotion       | 快乐源泉           |

## 请求

### 请求体 (Request Body)

| 参数名   | 类型            | 必须 | 说明                                      |
|----------|-----------------|------|-------------------------------------------|
| group_id | number 或 string | 是   | 群号                                      |
| type     | string          | 否   | 荣誉类型，见上表。默认为 `all`。          |

## 响应

### 状态码 200 OK

获取成功。

#### 响应体 (Response Body)

| 参数名          | 类型   | 说明                                                      |
|-----------------|--------|-----------------------------------------------------------|
| status          | string | 状态，应为 `ok`                                           |
| retcode         | number | 返回码                                                    |
| data            | object | 响应数据                                                  |
| message         | string | 错误信息（status 不为 ok 时）                             |
| wording         | string | 错误信息的友好表达                                        |
| echo            | string | Echo 回显（如果请求中携带）                               |

##### `data` 字段说明

| 参数名              | 类型              | 说明                                                      |
|---------------------|-------------------|-----------------------------------------------------------|
| group_id            | string            | 群号                                                      |
| current_talkative   | object            | 当前龙王（参见 `群荣誉信息` 对象说明）               |
| talkative_list      | array of object   | 群聊之火列表（参见 `群荣誉信息` 对象说明 数组）        |
| performer_list      | array of object   | 群聊炽焰列表（参见 `群荣誉信息` 对象说明 数组）        |
| legend_list         | array of object   | 龙王列表（参见 `群荣誉信息` 对象说明 数组）            |
| emotion_list        | array of object   | 快乐源泉列表（参见 `群荣誉信息` 对象说明 数组）        |
| strong_newbie_list  | array of object   | 冒尖小春笋列表（参见 `群荣誉信息` 对象说明 数组）      |

##### `群荣誉信息` 对象说明

| 参数名      | 类型   | 说明       |
|-------------|--------|------------|
| user_id     | number | 用户 QQ 号 |
| nickname    | string | 用户昵称   |
| avatar      | number | 用户头像ID 或标识 |
| description | string | 荣誉说明   |
