## API: /get_cookies

### 摘要

获取指定域名的cookies和bkn。

### 请求

`POST /get_cookies`

**Request Body (`application/json`)**

| 参数名 | 类型   | 必填 | 说明               |
| :----- | :----- | :--- | :----------------- |
| `domain` | string | 是   | 需要获取cookies的域名 |

**请求示例:**

```json
{
  "domain": "qq.com"
}
```

### 响应

#### 状态码: 200 - 成功

成功获取cookies和bkn。

**Response Body (`application/json`)**

| 参数名    | 类型          | 说明             |
| :-------- | :------------ | :--------------- |
| `status`  | string        | 状态码，固定为 "ok" |
| `retcode` | number        | 返回码           |
| `data`    | object        | 响应数据         |
| &nbsp;&nbsp;&nbsp;&nbsp;`cookies` | string | 获取到的cookies字符串 |
| &nbsp;&nbsp;&nbsp;&nbsp;`bkn` | string | 获取到的bkn字符串 |
| `message` | string        | 消息             |
| `wording` | string        | 提示信息         |
| `echo`    | string, nullable | 回显信息（可选）   |

**响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "cookies": "ptcz=...; qm_pf_req=...; ...",
    "bkn": "1234567890"
  },
  "message": "",
  "wording": "",
  "echo": null
}
```

### 标签

* 密钥相关
