# 获取 CSRF Token

本API用于获取Napcat的CSRF (Cross-Site Request Forgery) Token，用于防止跨站请求伪造攻击。

## 基本信息

*   **URL:** `/get_csrf_token`
*   **方法:** `POST`
*   **标签:** 密钥相关

## 请求

此API请求无需任何参数和请求体。

## 响应

成功时返回状态码 `200`，响应体是一个JSON对象，包含状态信息和获取到的CSRF Token。

```json
{
  "status": "ok",
  "retcode": 0,  // 正常情况下为0
  "data": {
    "token": 123456789 // 返回的CSRF Token，类型为数字
  },
  "message": "",
  "wording": "",
  "echo": null // 或可选的字符串
}
```

### 响应参数说明

*   `status`: 请求状态，`ok` 表示成功。
*   `retcode`: 返回码，`0` 通常表示成功。
*   `data`: 包含响应数据的对象。
    *   `token`: **必需**。获取到的CSRF Token，一个数字。
*   `message`: 提示信息。
*   `wording`: 详细说明信息。
*   `echo`: 回显字段，如果请求时携带了 `echo` 字段，则会原样返回。

## 错误处理

虽然OpenAPI文档中只列出了成功响应，但在实际使用中，请参考Napcat的通用错误码约定处理可能的失败情况（例如，`status` 为 `failed` 且 `retcode` 非零）。