# 获取 QQ 相关接口凭证

**Endpoint:** `POST /get_credentials`

**描述:** 获取用于访问 QQ 相关接口所需的凭证，包括 cookies 和 token。

**标签:** 密钥相关

---

## 请求参数

请求体为一个 JSON 对象，包含以下字段：

| 参数名 | 类型   | 是否必需 | 描述     |
| :----- | :----- | :----- | :------- |
| domain | string | 是      | 需要获取凭证的域名。 |

**示例请求体:**

```json
{
  "domain": "qq.com"
}
```

---

## 响应

成功时（HTTP 状态码 200）返回一个 JSON 对象，结构如下：

| 参数名  | 类型    | 描述                                 |
| :------ | :------ | :----------------------------------- |
| status  | string  | 状态码，固定为 "ok"。                  |
| retcode | number  | 返回码。                             |
| data    | object  | 接口返回的数据，包含以下字段：         |
| &nbsp;&nbsp;&nbsp;&nbsp;cookies | string | QQ 相关接口所需的 cookies 字符串。 |
| &nbsp;&nbsp;&nbsp;&nbsp;token   | number | QQ 相关接口所需的 token。       |
| message | string  | 响应消息。                           |
| wording | string  | 响应提示。                           |
| echo    | string  | 可能包含请求时携带的 echo 字符串，可为空。 |

**示例成功响应:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "cookies": "...", // 这里是具体的 cookies 字符串
    "token": 123456789 // 这里是具体的 token
  },
  "message": "",
  "wording": "",
  "echo": null
}
```

---

## 错误响应

（注：根据提供的 OpenAPI 文档，只有成功的 200 响应被详细定义。实际使用中可能会有其他错误状态码，例如参数错误、内部错误等，其响应结构可能与成功响应类似，但 `status` 可能为 "failed" 或其他表示错误的字符串，`retcode` 为非 0 值，`data` 可能为空或包含错误详情，`message` 和 `wording` 会提供错误信息。）

---
