# 获取图片消息详情

*   **Endpoint:** `POST /get_image`
*   **摘要:** 获取图片消息的详细信息，包括本地路径、网络URL、文件大小、文件名以及 Base64 编码。
*   **描述:** (当前无详细描述)
*   **标签:** 消息相关

## 请求

*   **Content-Type:** `application/json`

### Request Body 参数

| 参数名   | 类型   | 必填 | 描述     |
| :------- | :----- | :--- | :------- |
| file_id  | string | 是   | 图片文件 ID |

### Request Body 示例

```json
{
  "file_id": "226723D7B1EE3BF02E9CFD8236EE468B.jpg"
}
```

## 响应

### 200 OK

*   **描述:** 成功获取图片详情。
*   **Content-Type:** `application/json`

### Response Body 参数

| 参数名   | 类型   | 描述     |
| :------- | :----- | :------- |
| status   | string | 状态码，固定为 "ok" |
| retcode  | number | 返回码    |
| data     | object | 响应数据对象 |
| message  | string | 错误信息（当 status 不为 "ok" 时） |
| wording  | string | 错误提示（当 status 不为 "ok" 时） |
| echo     | string | 可选的 echo 字段，用于标识请求 |

#### data 对象参数

| 参数名    | 类型   | 描述     |
| :-------- | :----- | :------- |
| file      | string | 图片的本地路径 |
| url       | string | 图片的网络路径 |
| file_size | string | 图片文件大小 |
| file_name | string | 图片文件名  |
| base64    | string | 图片的 Base64 编码 |

### 成功响应示例 (结构)

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "file": "...",
    "url": "...",
    "file_size": "...",
    "file_name": "...",
    "base64": "..."
  },
  "message": "",
  "wording": "",
  "echo": null
}
```
