# POST /can_send_image

**总结:** 检查是否可以发送图片

**标签:** 个人操作

**描述:**

此API用于检测当前运行环境或当前登录的QQ账号是否具备发送图片的能力。在尝试发送图片之前调用此API可以避免因环境不支持而导致的发送失败。

**请求:**

此API不需要任何请求参数或请求体。

**响应:**

*   **200 OK**
    *   **描述:** 成功
    *   **响应体 (application/json):**

        一个标准的API结果对象，`data` 字段包含以下信息：

        | 字段 | 类型    | 说明                                     |
        | :--- | :------ | :--------------------------------------- |
        | `yes`| boolean | 表示当前环境或账号是否可以发送图片。`true` 表示可以，`false` 表示不可以。 |

    *   **示例响应体:**

        ```json
        {
          "status": "ok",
          "retcode": 0, 
          "data": {
            "yes": true
          },
          "message": "",
          "wording": "",
          "echo": null 
        }
        ```

        或

        ```json
        {
          "status": "ok",
          "retcode": 0,
          "data": {
            "yes": false
          },
          "message": "",
          "wording": "",
          "echo": "user_echo_string"
        }
        ```
