# API: `/can_send_record` - 检查是否可以发送语音

## 概述

该API用于检查当前登录的QQ账号是否可以发送语音消息。

## 请求

-   **方法**: `POST`
-   **Endpoint**: `/can_send_record`
-   **路径参数**: 无
-   **查询参数**: 无
-   **请求体**: 无

此API调用无需任何请求参数或请求体。

## 响应

### 状态码: `200 OK`

表示请求成功，响应体包含检查结果。

**响应体结构:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "yes": true
  },
  "message": "",
  "wording": "",
  "echo": null
}
```

**响应体字段说明:**

| 字段名   | 类型    | 必须 | 说明                                                                               |  
| `status` | string  | 是   | 调用状态，固定为 `"ok"` 表示成功。                                                                                                                                                                                              |
| `retcode`| number  | 是   | API返回码。`0` 通常表示成功。                                                                                                                                                                                           |
| `data`   | object  | 是   | 响应数据体。
    | `yes`    | boolean | 是   | 表示是否可以发送语音。`true` 表示可以发送，`false` 表示不能发送。                                                                                                                                                                   |
| `message`| string  | 是   | 状态消息。                                                                                                                                                                                                        |
| `wording`| string  | 是   | 更详细的状态描述。                                                                                                                                                                                                    |
| `echo`   | string or null | 是   | 可选的回显字段，如果在请求中设置了 `echo` 字段，则响应中会原样返回。                                                                                                                                                                  |

## 示例

**请求:**

```bash
POST /can_send_record
Content-Type: application/json

{}
```

**响应:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "yes": true
  },
  "message": "",
  "wording": "",
  "echo": null
}
```

这个示例表示当前账号可以发送语音消息。
