### 获取版本信息

用于获取当前运行的 Napcat 应用及协议版本信息。

*   **Endpoint:** `/get_version_info`
*   **方法:** `POST`
*   **说明:** 该接口不需要任何参数即可调用。

#### 请求参数

该接口无需请求参数，请求体为一个空的 JSON 对象。

#### 响应数据

请求成功后，返回包含版本信息的 JSON 对象。

| 字段             | 类型     | 说明                                                         |
| :--------------- | :------- | :----------------------------------------------------------- |
| `status`         | `string` | 状态码，`ok` 表示成功，其他表示失败。                           |
| `retcode`        | `number` | 返回码，请参考 OneBot 规范。                                   |
| `data`           | `object` | 响应数据体。                                                 |
| `data.app_name`  | `string` | 应用名称，如 "Napcat"。                                      |
| `data.app_version` | `string` | 应用版本。                                                   |
| `data.protocol_version` | `string` | OneBot 协议版本，固定为 "v11"。                           |
| `message`        | `string` | 错误信息，仅在 `status` 不为 `ok` 时有效。                      |
| `wording`        | `string` | 对用户友好的错误提示，仅在 `status` 不为 `ok` 时有效。          |
| `echo`           | `string` | 可能包含请求时携带的 echo 字段。                               |

#### 响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "app_name": "Napcat",
    "protocol_version": "v11",
    "app_version": "1.2.3"
  },
  "message": "",
  "wording": "",
  "echo": null
}
```