## 设置账号信息

### Endpoint
`POST /set_qq_profile`

### 用途
设置当前登录QQ账号的昵称、个性签名和性别等信息。

### 请求参数
请求体应为 `application/json` 格式。

| 参数名        | 类型   | 必需 | 说明         |
| :------------ | :----- | :--- | :----------- |
| `nickname`    | string | 是   | 新的昵称     |
| `personal_note` | string | 否   | 新的个性签名 |
| `sex`         | string | 否   | 新的性别     |

### 响应

成功时返回一个标准响应结构，`data` 字段包含操作结果。

#### 成功响应体 (`data` 字段)

| 参数名  | 类型   | 说明           |
| :------ | :----- | :------------- |
| `result` | number | 操作结果代码。 |
| `errMsg` | string | 错误信息。     |

### 示例

#### 请求示例

```json
{
  "nickname": "新的昵称",
  "personal_note": "我的新签名",
  "sex": "male" // 或 "female", "unknown"
}
```

#### 成功响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "result": 0,
    "errMsg": ""
  },
  "message": "",
  "wording": "",
  "echo": null
}
```
