# API 文档：设置消息已读

**Endpoint:** `/mark_msg_as_read`

**方法:** `POST`

**说明:**

此 API 用于将指定群组或用户的消息标记为已读。

**请求参数:**

请求体 (Request Body) 接受 JSON 对象，包含以下参数：

| 参数名   | 类型           | 描述         | 备注         |
| :------- | :------------- | :----------- | :----------- |
| group_id | `number` 或 `string` | 群组 ID     | 与 user_id 二选一 |
| user_id  | `number` 或 `string` | 用户 ID     | 与 group_id 二选一 |

**注意:** `group_id` 和 `user_id` 只能选择其中一个填写。

**响应:**

成功时返回标准的 Napcat API 响应结构，`data` 字段为 `null`。

| 参数名  | 类型     | 描述                               | 备注       |
| :------ | :------- | :--------------------------------- | :--------- |
| status  | `string` | 状态，如 "ok" 或 "failed"             |            |
| retcode | `number` | 返回码                               |            |
| data    | `null`   | 响应数据，此接口固定为 `null`         |            |
| message | `string` | 错误信息（status 为 "failed" 时）        |            |
| wording | `string` | 错误信息的友好提示（status 为 "failed" 时） |            |
| echo    | `string` | 回显请求中的 echo 字段                 | 可能为 `null` |

**请求示例:**

```json
{
  "group_id": 123456789
}
```

或

```json
{
  "user_id": 10001
}
```

**响应示例 (成功):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": ""
}
```