## 获取群系统消息

### 路径
`/get_group_system_msg`

### 方法
`POST`

### 说明
用于获取当前账号收到的群相关的系统消息，例如入群申请、群邀请等。

### 请求参数
此接口无需请求参数。

### 响应

#### 响应示例
```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "InvitedRequest": [
      {
        "request_id": 12345,
        "invitor_uin": 12345678,
        "invitor_nick": "邀请人昵称",
        "group_id": 123456789,
        "message": "邀请您加入群聊",
        "group_name": "群聊名称",
        "checked": false,
        "actor": 0,
        "requester_nick": ""
      }
    ],
    "join_requests": [
      {
        "request_id": 67890,
        "invitor_uin": 98765432,
        "invitor_nick": "",
        "group_id": 987654321,
        "message": "申请加入群聊",
        "group_name": "另一个群聊名称",
        "checked": false,
        "actor": 0,
        "requester_nick": "申请人昵称"
      }
    ]
  },
  "message": "",
  "wording": "",
  "echo": ""
}
```

#### 响应字段说明

| 字段名           | 类型    | 说明                                       |
| :--------------- | :------ | :----------------------------------------- |
| `status`         | string  | 响应状态，`ok` 表示成功                     |
| `retcode`        | number  | 响应码，非 0 表示出错                       |
| `data`           | object  | 响应数据                                   |
| `message`        | string  | 错误信息，仅当 `status` 不为 `ok` 时有效    |
| `wording`        | string  | 错误信息的友好提示                         |
| `echo`           | string  | `echo` 字段，发送请求时指定则原样返回       |

##### `data` 字段说明

| 字段名           | 类型             | 说明             |
| :--------------- | :--------------- | :--------------- |
| `InvitedRequest` | array of object  | 收到的群邀请列表 |
| `join_requests`  | array of object  | 收到的入群申请列表 |

##### `InvitedRequest` / `join_requests` 数组项 (`系统信息`) 字段说明

| 字段名         | 类型    | 说明                                                                       |
| :------------- | :------ | :------------------------------------------------------------------------- |
| `request_id`   | number  | 请求 ID，用于后续处理（如同意/拒绝）                                      |
| `invitor_uin`  | number  | 邀请人 UIN (仅在 `InvitedRequest` 中有效) 或 申请人 UIN (仅在 `join_requests` 中有效) |
| `invitor_nick` | string  | 邀请人昵称 (仅在 `InvitedRequest` 中有效)                                 |
| `group_id`     | number  | 群号                                                                       |
| `message`      | string  | 附带消息                                                                   |
| `group_name`   | string  | 群名称                                                                     |
| `checked`      | boolean | 是否已处理                                                                 |
| `actor`        | number  | 处理者 QQ 号 (如果已处理)                                                  |
| `requester_nick`| string  | 申请人昵称 (仅在 `join_requests` 中有效)                                   |
