## API：设置群头像

### 路径

`POST /set_group_portrait`

### 说明

该API用于设置指定群聊的头像。

### 请求参数

请求体为一个JSON对象，包含以下字段：

| 参数名   | 类型            | 必需 | 说明                                                         |
| :------- | :-------------- | :--- | :----------------------------------------------------------- |
| `group_id` | `number` 或 `string` | 是   | 要设置头像的群号。                                           |
| `file`   | `string`        | 是   | 图片文件路径。支持网络图片URL（以 `http://` 或 `https://` 开头）或本地文件路径（以 `file://` 开头）。 |

**请求示例:**

```json
{
    "group_id": 123456,
    "file": "http://i0.hdslb.com/bfs/archive/c8fd97a40bf79f03e7b76cbc87236f612caef7b2.png"
}
```

或使用本地文件:

```json
{
    "group_id": 123456,
    "file": "file://D:/a.jpg"
}
```

### 响应

响应为一个JSON对象，遵循标准的Napcat API响应格式。`data` 字段包含API执行结果的详细信息。

| 参数名    | 类型     | 说明                                     |
| :-------- | :------- | :--------------------------------------- |
| `status`  | `string` | 状态码，`ok` 表示成功。                  |
| `retcode` | `number` | 返回码，`0` 通常表示成功。               |
| `message` | `string` | 错误消息，通常在 `status` 不是 `ok` 时有意义。 |
| `wording` | `string` | 错误消息的中文描述。                     |
| `echo`    | `string` | 调用时传入的 `echo` 字段（如果传入）。   |
| `data`    | `object` | API执行结果的详细数据。                  |

`data` 字段结构:

| 参数名  | 类型     | 说明             |
| :------ | :------- | :--------------- |
| `result`| `string` | 操作结果码或标识。 |
| `errMsg`| `string` | 错误消息。       |

**响应示例:**

```json
{
    "status": "ok",
    "retcode": 0,
    "data": {
        "result": 0,
        "errMsg": "success"
    },
    "message": "",
    "wording": "",
    "echo": null
}
```