## API端点：`/set_essence_msg`

### 摘要
设置群精华消息

### 描述
此API用于将群内的指定消息设置为精华消息。

### 请求

*   **方法:** `POST`
*   **URL:** `/set_essence_msg`
*   **Content-Type:** `application/json`

#### 请求体 (`application/json`)

接受一个JSON对象，包含以下必需属性：

| 参数名      | 类型             | 必需 | 描述     |
| :---------- | :--------------- | :--- | :------- |
| `message_id` | `number` 或 `string` | 是   | 要设置精华的消息ID。 |

### 响应

#### 成功响应 (`200 OK`)

返回一个JSON对象，表示操作结果。结构如下：

| 参数名    | 类型     | 描述                                                              |
| :-------- | :------- | :---------------------------------------------------------------- |
| `status`  | `string` | API调用状态，`ok` 表示成功。                                      |
| `retcode` | `number` | 返回码，`0` 通常表示成功。                                        |
| `message` | `string` | 状态消息。                                                        |
| `wording` | `string` | 附加说明或错误提示。                                              |
| `echo`    | `string` | 原样返回的 echo 数据（如果请求时提供）。可空。                      |
| `data`    | `object` | 具体的业务数据。详情如下：                                        |

**`data` 对象结构：**

| 参数名    | 类型     | 描述                   |
| :-------- | :------- | :--------------------- |
| `errCode` | `string` | 错误码，`0` 表示成功。 |
| `errMsg`  | `string` | 错误消息，`success` 表示成功。 |
| `result`  | `object` | 设置精华消息的结果详情。详情如下： |

**`data.result` 对象结构：**

| 参数名       | 类型     | 描述                                   |
| :----------- | :------- | :------------------------------------- |
| `wording`    | `string` | 文本提示，正常时为空，异常时包含提示信息。 |
| `digestUin`  | `string` | 设置精华消息的操作者QQ号。             |
| `digestTime` | `number` | 设置精华消息的时间戳。                 |
| `msg`        | `object` | 精华消息的详细信息。                   |
| `errorCode`  | `number` | 操作结果码，`0` 表示成功。             |

#### 示例响应

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "errCode": 0,
    "errMsg": "success",
    "result": {
      "wording": "",
      "digestUin": "0",
      "digestTime": 0,
      "msg": {
        "groupCode": "0",
        "msgSeq": 0,
        "msgRandom": 0,
        "msgContent": [],
        "textSize": "0",
        "picSize": "0",
        "videoSize": "0",
        "senderUin": "0",
        "senderTime": 0,
        "addDigestUin": "0",
        "addDigestTime": 0,
        "startTime": 0,
        "latestMsgSeq": 0,
        "opType": 0
      },
      "errorCode": 0
    }
  },
  "message": "",
  "wording": "",
  "echo": null
}
```