# 删除群精华消息

**Endpoint:** `/delete_essence_msg`

**方法:** `POST`

**描述:** 删除群精华消息。

**标签:** 群聊相关

## 请求参数

请求体应为 `application/json` 格式。

| 字段         | 类型           | 描述                                    | 必填 |
|--------------|----------------|-----------------------------------------|------|
| `message_id` | `number` 或 `string` | 要删除的精华消息的消息ID。                | 是   |

**请求示例:**

```json
{
  "message_id": 123456
}
```

## 响应

### 成功响应 (状态码: 200)

**描述:** 成功删除群精华消息。

**响应体:** `application/json`

| 字段    | 类型   | 描述                                                       |
|---------|--------|------------------------------------------------------------|
| `status`  | `string` | 状态码，通常为 "ok"。                                       |
| `retcode` | `number` | 返回码，通常为 0 表示成功。                                  |
| `data`    | `object` | 响应数据详情。                                             |
| `message` | `string` | 响应消息，通常为空字符串。                                 |
| `wording` | `string` | 响应文本提示，通常为空字符串。                             |
| `echo`    | `string` | 用户发送请求时携带的 echo 字段，会原样返回 (可能为 null)。 |

`data` 字段结构:

| 字段         | 类型   | 描述                                  |
|--------------|--------|---------------------------------------|
| `errCode`    | `string` | 错误码，通常为 "0" 表示成功。          |
| `errMsg`     | `string` | 错误消息，通常为 "success" 表示成功。  |
| `result`     | `object` | 操作结果详情。                        |

`result` 字段结构:

| 字段         | 类型   | 描述                     |
|--------------|--------|--------------------------|
| `wording`    | `string` | 正常为空，异常有文本提示。 |
| `digestUin`  | `string` | 摘要创建者 UIN。         |
| `digestTime` | `string` | 摘要创建时间戳。         |
| `msg`        | `object` | 消息详情 (具体结构不确定)。 |

**响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "errCode": 0,
    "errMsg": "success",
    "result": {
      "wording": "",
      "digestUin": "0",
      "digestTime": 0,
      "msg": {
        "groupCode": "0",
        "msgSeq": 0,
        "msgRandom": 0,
        "msgContent": [],
        "textSize": "0",
        "picSize": "0",
        "videoSize": "0",
        "senderUin": "0",
        "senderTime": 0,
        "addDigestUin": "0",
        "addDigestTime": 0,
        "startTime": 0,
        "latestMsgSeq": 0,
        "opType": 0
      },
      "errorCode": 0
    }
  },
  "message": "",
  "wording": "",
  "echo": null
}
```