# /_send_group_notice

**POST 发送群公告**

## 描述

发送群公告。

## 请求参数

| 参数名            | 类型             | 必填 | 说明                                                                |
| :---------------- | :--------------- | :--- | :------------------------------------------------------------------ |
| group_id          | number 或 string | 是   | 群号                                                                |
| content           | string           | 是   | 内容                                                                |
| image             | string           | 否   | 图片路径                                                            |
| pinned            | number 或 string | 否   | 是否置顶，通常 0 (不置顶) 或 1 (置顶)                               |
| type              | number 或 string | 否   | 公告类型，通常 0 (普通公告) 或 1 (重要公告)                         |
| confirm_required  | number 或 string | 否   | 是否需要群成员确认，通常 0 (不需要) 或 1 (需要)                     |
| is_show_edit_card | number 或 string | 否   | 是否在群资料卡展示，通常 0 (不显示) 或 1 (显示)                     |
| tip_window_type   | number 或 string | 否   | 提示窗口类型，通常 0 (不弹窗), 1 (普通弹窗), 2 (全屏弹窗) 等      |

## 响应数据 (200 Success)

| 参数名  | 类型           | 说明                 |
| :------ | :------------- | :------------------- |
| status  | string         | 状态，固定为 "ok"    |
| retcode | number         | 返回码               |
| data    | null           | 数据，固定为 null    |
| message | string         | 错误信息 (不为空时)  |
| wording | string         | 错误信息的中文描述 |
| echo    | string 或 null | 用户回声             |

## 示例

```json
{
  "group_id": 123456789,
  "content": "这是一条群公告",
  "pinned": 1
}
```

**成功响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": "your_echo_string"
}
```
