# 获取群公告

**Endpoint:** `POST /_get_group_notice`

**标签:** `群聊相关`

**说明:**

此API用于获取指定群组的公告列表。

**请求体 (Request Body):**

| 参数      | 类型           | 必填 | 说明   |
| :-------- | :------------- | :--- | :----- |
| `group_id` | `number` 或 `string` | 是   | 要获取公告的群号 |

**响应 (Response):**

`200 OK`

| 参数         | 类型              | 说明                                                                                                                               |
| :----------- | :---------------- | :--------------------------------------------------------------------------------------------------------------------------------- |
| `status`     | `string`          | 状态码，通常为 `ok`。                                                                                                              |
| `retcode`    | `number`          | 返回码。                                                                                                                           |
| `data`       | `array<object>`   | 群公告列表。数组中的每个对象代表一个公告。                                                                                           |
| `message`    | `string`          | 响应消息。                                                                                                                         |
| `wording`    | `string`          | 响应词。                                                                                                                           |
| `echo`       | `string` 或 `null` | Echo回显，如果请求中指定了echo，则会原样返回。                                                                                         |

**`data` 数组中的公告对象结构:**

| 参数          | 类型             | 说明             |
| :------------ | :--------------- | :--------------- |
| `notice_id`   | `string`         | 公告的唯一ID       |
| `sender_id`   | `number`         | 发布公告的发送人账号 (UIN) |
| `publish_time`| `number`         | 公告发布时间 (Unix timestamp) |
| `message`     | `object`         | 公告内容。**注意:** 根据提供的示例，此字段是一个对象，包含文本和图片等内容。OpenAPI schema中对此字段的定义可能不完全一致。 |

**`message` 对象结构 (根据示例推断):**

| 参数    | 类型            | 说明               |
| :------ | :-------------- | :----------------- |
| `text`  | `string`        | 公告的文本内容       |
| `image` | `array<object>` | 公告中包含的图片列表 |

**`image` 数组中的图片对象结构:**

| 参数     | 类型     | 说明   |
| :------- | :------- | :----- |
| `id`     | `string` | 图片ID |
| `height` | `string` | 图片高度 |
| `width`  | `string` | 图片宽度 |

**成功响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "notice_id": "63491e2f000000004f4d1e677d2b0200",
      "sender_id": 123,
      "publish_time": 1730039119,
      "message": {
        "text": "这是一条神奇的群公告",
        "image": [
          {
            "id": "aJJBbZ6BqyLiaC1kmpvIWGBBkJerEfpRBHX5Brxbaurs",
            "height": "400",
            "width": "400"
          }
        ]
      }
    }
  ],
  "message": "",
  "wording": "",
  "echo": null
}
```

**错误处理:**

如果请求失败，`status` 字段将不是 `ok`，`retcode` 会是一个非零值，`message` 或 `wording` 字段可能包含具体的错误信息。
