# 上传群文件

## 描述

该API用于向指定的群聊上传文件。

## Endpoint

`POST /upload_group_file`

## 请求参数

请求体 (application/json):

| 参数名    | 类型                     | 必填 | 描述                                                                                                 |
| :-------- | :----------------------- | :--- | :--------------------------------------------------------------------------------------------------- |
| `group_id`| `number` 或 `string`     | 是   | 群号。

| `file`    | `string`                 | 是   | 文件内容。通常为文件的 Base64 编码字符串，或文件路径。具体取决于 Napcat 的实现，建议查阅相关配置或文档。 |
| `name`    | `string`                 | 是   | 文件名。

| `folder`  | `string`                 | 否   | 上传到的文件夹ID。与 `folder_id` 二选一，仅指定其中一个即可。

| `folder_id`| `string`                 | 否   | 上传到的文件夹ID。与 `folder` 二选一，仅指定其中一个即可。

> **注意:** `folder` 和 `folder_id` 参数用于指定文件上传到群文件系统的哪个文件夹下。只需提供其中一个参数即可，如果都不提供，文件通常会上传到根目录下。

## 响应

### 成功响应 (Status: 200)

| 参数名    | 类型    | 描述                                    |
| :-------- | :------ | :-------------------------------------- |
| `status`  | `string`| 执行状态，`ok` 表示成功。                 |
| `retcode` | `number`| 返回码，`0` 通常表示成功。               |
| `data`    | `null`  | 成功时返回的数据，此接口为 `null`。       |
| `message` | `string`| 错误信息，成功时通常为空字符串。          |
| `wording` | `string`| 错误信息的友好描述。                    |
| `echo`    | `string`| 请求携带的 `echo` 字段，如果提供的话。 |

> **注意:** 具体的 `retcode` 含义请参考 Napcat 的错误码文档。

## 示例

### 请求示例

```json
POST /upload_group_file
Content-Type: application/json

{
  "group_id": 123456789,
  "file": "base64://...文件的Base64编码...",
  "name": "my_document.txt",
  "folder_id": "abcde12345"
}
```

### 成功响应示例

```json
HTTP/1.1 200 OK
Content-Type: application/json

{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": "my_echo_string"
}
```

## 标签

文件相关
