# 删除群文件

**Endpoint:** `POST /delete_group_file`

**标签:** 文件相关

**说明:**

此 API 用于删除指定群聊中的文件。

**请求体 (application/json):**

| 参数         | 类型          | 必须 | 说明               |
|--------------|---------------|------|--------------------|
| `group_id`   | number 或 string | 是   | 群号               |
| `file_id`    | string        | 是   | 要删除的群文件ID     |

**响应 (application/json):**

`200 OK`:

调用成功，返回操作结果。

| 参数                   | 类型   | 说明                                                                 |
|------------------------|--------|----------------------------------------------------------------------|
| `status`               | string | 状态码，`ok` 表示成功                                                    |
| `retcode`              | number | 返回码                                                               |
| `data`                 | object | 业务数据载体                                                         |
| `data.result`          | number | 删除操作的整体结果码                                                   |
| `data.errMsg`          | string | 删除操作的整体错误信息                                                 |
| `data.transGroupFileResult`| object | 文件删除的具体结果                                                     |
| `data.transGroupFileResult.result`| object | 腾讯内部返回的结果对象                                                 |
| `data.transGroupFileResult.result.retCode`| number | 腾讯内部返回码                                                       |
| `data.transGroupFileResult.result.retMsg`| string | 腾讯内部返回信息                                                       |
| `data.transGroupFileResult.result.clientWording`| string | 腾讯内部返回给用户的提示文字                                           |
| `data.transGroupFileResult.successFileIdList`| array  | 删除成功的文件ID列表 (string数组)                                    |
| `data.transGroupFileResult.failFileIdList`| array  | 删除失败的文件ID列表 (string数组)                                      |
| `message`              | string | 消息                                                                 |
| `wording`              | string | 提示信息                                                             |
| `echo`                 | string | 用户发送时提供的 echo 字段，原样返回，可用于关联请求 (nullable)            |
