## create_group_file_folder

**POST** `/create_group_file_folder`

创建群文件文件夹。

### 请求参数

请求体 `application/json`:

| 参数名      | 类型             | 必填 | 说明     |
| :---------- | :--------------- | :--- | :------- |
| `group_id`  | `number` 或 `string` | 是   | 群号     |
| `folder_name` | `string`         | 是   | 文件夹名称 |

### 响应

#### 200 OK

创建文件夹成功。

响应体 `application/json`:

| 参数名    | 类型    | 说明                       |
| :-------- | :------ | :------------------------- |
| `status`  | `string` | 响应状态 (`"ok"`)         |
| `retcode` | `number` | 响应码                     |
| `data`    | `object` | 响应数据                   |
| `message` | `string` | 响应消息                   |
| `wording` | `string` | 响应提示文字                |
| `echo`    | `string` | 可能包含请求时的 `echo` 字段 |

`data` 字段说明:

| 参数名      | 类型    | 说明                                                                 |
| :---------- | :------ | :------------------------------------------------------------------- |
| `result`    | `object` | API 调用结果                                                         |
| `groupItem` | `object` | 创建的文件夹信息                                                     |

`data.result` 字段说明:

| 参数名          | 类型    | 说明           |
| :-------------- | :------ | :------------- |
| `retCode`       | `number` | 返回码         |
| `retMsg`        | `string` | 返回消息       |
| `clientWording` | `string` | 客户端提示文字 |

`data.groupItem` 字段说明:

| 参数名     | 类型    | 说明             |
| :--------- | :------ | :--------------- |\n| `peerId`   | `string` | 群组 ID           |
| `type`     | `number` | 类型 (文件/文件夹) |
| `folderInfo` | `object` | 文件夹的详细信息   |
| `fileInfo` | `string` | 文件信息 (此处为 `null`) |

`data.groupItem.folderInfo` 字段说明:

| 参数名         | 类型    | 说明         |
| :------------- | :------ | :----------- |
| `folderId`     | `string` | 文件夹 ID      |
| `parentFolderId` | `string` | 父文件夹 ID    |
| `folderName`   | `string` | 文件夹名称     |
| `createTime`   | `number` | 创建时间戳     |
| `modifyTime`   | `number` | 修改时间戳     |
| `createUin`    | `string` | 创建者 QQ 号   |
| `creatorName`  | `string` | 创建者名称     |
| `totalFileCount` | `number` | 子文件/文件夹总数 |
| `modifyUin`    | `string` | 修改者 QQ 号   |
| `modifyName`   | `string` | 修改者名称     |
| `usedSpace`    | `string` | 已使用空间     |

### 示例

**请求示例:**

```json
{
  "group_id": 790514019,
  "folder_name": "ABC"
}
```

**响应示例 (成功):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "result": {
      "retCode": 0,
      "retMsg": "成功",
      "clientWording": ""
    },
    "groupItem": {
      "peerId": "790514019",
      "type": 0, 
      "folderInfo": {
        "folderId": "...