```markdown
# DELETE /delete_group_folder - 删除群文件夹

**Endpoint:** `/delete_group_folder`

**方法:** `POST`

**标签:** 文件相关

**描述:** 调用此API接口删除指定群组中的一个文件夹。

**请求参数 (Request Body):**

| 字段名     | 类型           | 必填 | 说明                 |
| :--------- | :------------- | :--- | :------------------- |
| `group_id` | number 或 string | 是   | 要删除文件夹的群号     |
| `folder_id`| string         | 是   | 要删除的文件夹的唯一ID |

**响应 (Response):**

**状态码:** `200 OK`

**Content-Type:** `application/json`

**响应体 (Response Body) Schema:**

```json
{
  "status": "string", // API 调用状态，如 "ok"
  "retcode": "number", // 返回码
  "data": { // 操作结果数据
    "retCode": "number", // QQ接口返回码
    "retMsg": "string",  // QQ接口返回消息
    "clientWording": "string" // 客户端提示信息
  },
  "message": "string", // 错误消息（如果 status 不是 ok）
  "wording": "string", // 提示信息（如果 status 不是 ok）
  "echo": "string" // 回显字段，如果请求中携带了此字段，则会在响应中原样返回
}
```

**响应字段说明:**

*   `status`: API调用是否成功，`ok` 表示成功。
*   `retcode`: API的处理返回码，非零通常表示API内部处理错误。
*   `data`: 包含QQ接口调用结果的详细信息。
    *   `retCode`: QQ接口返回的原始错误码。`0` 通常表示QQ接口操作成功。
    *   `retMsg`: QQ接口返回的错误消息。
    *   `clientWording`: 客户端可能展示给用户的提示文本。
*   `message`: 当 `status` 不为 `ok` 时，此字段包含具体的错误信息。
*   `wording`: 当 `status` 不为 `ok` 时，此字段包含对用户更友好的错误提示。
*   `echo`: 如果在请求体中提供了 `echo` 字段，则会在响应中原样返回此字段。

**注意事项:**

*   `group_id` 和 `folder_id` 均为必填参数。
*   删除文件夹将同时删除该文件夹下的所有文件和子文件夹，请谨慎操作。
*   QQ接口返回码 `data.retCode` 的具体含义需要参考腾讯官方文档或常见错误码列表。
```