# 获取群文件系统信息

**Endpoint:** `/get_group_file_system_info`

**Method:** `POST`

**Tags:** 文件相关

**描述:**

获取指定群的文件系统的详细信息，包括文件总数、上限以及空间使用情况。

**请求参数 (Request Body):**

该API接受一个JSON对象作为请求体。

| 参数名     | 类型           | 是否必须 | 描述     |
| :--------- | :------------- | :------- | :------- |
| `group_id` | `number` 或 `string` | 是       | 群号 |

**响应 (Response):**

**HTTP 200 OK:**

成功获取群文件系统信息。响应体是一个JSON对象，包含以下字段：

| 参数名    | 类型    | 描述                                                                 |
| :-------- | :------ | :------------------------------------------------------------------- |
| `status`  | `string`  | 状态，`ok` 表示成功。                                                |
| `retcode` | `number`  | 返回码。                                                             |
| `data`    | `object`  | 请求成功时返回的数据。包含群文件系统的详细信息。                                 |
| `message` | `string`  | 消息。                                                               |
| `wording` | `string`  | 友好提示。                                                           |
| `echo`    | `string`  | 请求发送时携带的 echo 字段，如果未携带则为 `null`。                        |

**`data` 字段详情:**

当 `status` 为 `ok` 时，`data` 字段包含以下信息：

| 参数名        | 类型     | 描述         |
| :------------ | :------- | :----------- |
| `file_count`  | `number` | 文件总数     |
| `limit_count` | `number` | 文件上限     |
| `used_space`  | `number` | 已使用空间   |
| `total_space` | `number` | 空间上限     |

**示例 (Examples):**

**请求示例:**

```json
{
  "group_id": 123456789
}
```

**响应示例 (成功):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "file_count": 150,
    "limit_count": 1000,
    "used_space": 512480000,
    "total_space": 1073741824
  },
  "message": "",
  "wording": "",
  "echo": "some_echo_string"
}
```