### 获取群文件链接

*   **Endpoint:** `/get_group_file_url`
*   **方法:** `POST`
*   **说明:** 获取群文件的直接下载链接。此链接可能有时效性，具体取决于文件服务器的配置。

#### 请求参数

请求体使用 `application/json` 格式。

| 参数名   | 类型     | 必须 | 说明       |
| :------- | :------- | :--- | :--------- |
| `group_id` | `number` 或 `string` | 是   | 群号       |
| `file_id`  | `string` | 是   | 群文件ID   |

#### 响应数据

响应体使用 `application/json` 格式，成功时 `status` 字段为 `ok`，`retcode` 字段为 `0`。`data` 字段包含文件链接。

| 字段名  | 类型     | 说明     |
| :------ | :------- | :------- |
| `status` | `string` | 状态码，固定为 `ok` |
| `retcode`| `number` | 返回码   |
| `data`  | `object` | 响应数据体 |
| `data.url` | `string` | 群文件的下载链接 |
| `message`| `string` | 错误信息 |
| `wording`| `string` | 错误提示（友好） |
| `echo`  | `string` | 发送请求时携带的 echo 字段 |

#### 响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "url": "http://example.com/group_files/your_file_id.dat"
  },
  "message": "",
  "wording": "",
  "echo": "your_echo_string"
}
```

#### 注意事项

*   获取到的链接可能具有时效性。
*   `file_id` 通常可以在 `group_upload_file` 事件中获取。
