# 上传私聊文件

## 简介

此 API 用于将文件上传到指定的私聊对象。

## Endpoint

`POST /upload_private_file`

## 请求参数

请求体为一个 JSON 对象，包含以下参数：

| 参数名  | 类型              | 必填 | 说明                   |
| :------ | :---------------- | :--- | :--------------------- |
| user_id | `number` 或 `string` | 是   | 需要发送私聊文件的用户QQ号。 |
| file    | `string`          | 是   | 要上传的文件路径或URL。  |
| name    | `string`          | 是   | 上传后显示的文件名。   |

**file 参数说明:**
*   如果文件在机器人运行的本地，应提供文件的绝对路径。
*   如果文件是远程资源，应提供文件的可访问URL。

## 请求示例

```json
{
  "user_id": 123456789,
  "file": "/path/to/your/local/file.jpg",
  "name": "MyPhoto.jpg"
}
```

或者使用URL:

```json
{
  "user_id": 123456789,
  "file": "https://example.com/some/remote/file.pdf",
  "name": "Document.pdf"
}
```

## 响应说明

成功时返回标准的 Napcat API 响应结构。

### 成功响应

状态码: `200 OK`

响应体为一个 JSON 对象，包含以下字段：

| 字段名  | 类型     | 说明                     |
| :------ | :------- | :----------------------- |
| status  | `string` | 状态，`ok` 表示成功。    |
| retcode | `number` | 返回码，`0` 通常表示成功。 |
| data    | `null`   | 数据字段，此处为 `null`。  |
| message | `string` | 消息。                   |
| wording | `string` | 友好提示信息。             |
| echo    | `string` | 请求的 echo 字段。       |

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "成功",
  "wording": "处理成功",
  "echo": "your_echo_string"
}
```

### 错误响应

当请求失败时，`status` 字段将为 `failed`，`retcode` 将为非零值，`message` 和 `wording` 字段会提供错误详情。