# .对事件执行快速操作

## Endpoint

`POST /.handle_quick_operation`

## 描述

此接口用于对接收到的事件执行快速操作，其作用类似于HTTP协议中的快速操作机制。

## 标签

*   个人操作

## 请求

### 请求体 (`application/json`)

| 参数名      | 类型   | 必填 | 描述         |
| :---------- | :----- | :--- | :----------- |
| `context`   | object | 是   | 事件数据对象 |
| `operation` | object | 是   | 快速操作对象 |

*   `context`: 包含事件的详细数据。具体的结构取决于发生的事件类型。
*   `operation`: 包含要执行的快速操作的详细信息。具体的结构取决于支持的快速操作类型。

## 响应

### 200 OK (`application/json`)

表示快速操作执行成功。

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": null
}
```

**响应参数说明:**

| 参数名    | 类型    | 必填 | 描述                                    |
| :-------- | :------ | :--- | :-------------------------------------- |
| `status`  | string  | 是   | 状态码，固定为 `"ok"` 表示成功。        |
| `retcode` | number  | 是   | 返回码。                                |
| `data`    | null    | 是   | 成功时此字段固定为 `null`。             |
| `message` | string  | 是   | 错误信息，成功时通常为空字符串。        |
| `wording` | string  | 是   | 友好提示信息，成功时通常为空字符串。    |
| `echo`    | string? | 是   | 可能为空，回显请求中的 echo 字段。      |

**注意:** 当 `status` 不为 `"ok"` 时，`retcode` 将为错误码，`message` 和 `wording` 将包含错误详情。