# 获取推荐好友/群聊卡片 API

## Endpoint

`/ArkSharePeer`

## Method

`POST`

## Description

此API用于生成推荐好友或群聊的卡片消息（Ark Json格式），可以用于在QQ内部分享。你可以通过提供群号、好友QQ号或好友手机号来指定要生成卡片的对象。

## Request

### URL

`POST /ArkSharePeer`

### Request Body (`application/json`)

| 参数名      | 类型           | 描述                                     | 必须    | 备注                               |
| :---------- | :------------- | :--------------------------------------- | :------ | :--------------------------------- |
| `group_id`  | number 或 string | 目标群号                                 | 否      | **与 `user_id` / `phoneNumber` 二选一**。如果提供此参数，将生成群聊卡片。 |
| `user_id`   | number 或 string | 目标好友的QQ号                           | 否      | **与 `group_id` 二选一**。如果提供此参数（不提供 `group_id`），将生成好友卡片。 |
| `phoneNumber` | string         | 目标好友的手机号                         | 否      | **与 `group_id` 二选一**。如果提供此参数（不提供 `group_id`），将生成好友卡片。优先级未知，建议只提供 `user_id` 或 `phoneNumber` 其中一个。 |

**重要提示:** 你必须且只能在 `group_id`, `user_id`, `phoneNumber` 这三个参数中提供其中一个，以指定要获取卡片的对象类型（群聊或好友）及具体对象。

## Response (`application/json`)

| 字段名  | 类型    | 描述             | 必须    | 备注                                       |
| :------ | :------ | :--------------- | :------ | :----------------------------------------- |
| `status` | string  | API处理状态      | 是      | 固定值 `ok` 表示API请求处理成功。          |
| `retcode` | number  | API返回码        | 是      | `0` 表示成功。                             |
| `data`  | object  | 具体业务数据     | 是      | 包含卡片生成结果。                         |
| `message`| string  | API处理信息      | 是      | 通常是 `OK`。                              |
| `wording`| string  | API处理文案      | 是      | 用户友好的提示信息。                       |
| `echo`  | string  | 回显字段         | 否      | 请求中携带的 `echo` 会在此返回。           |

### `data` 字段说明

| 字段名  | 类型    | 描述                 | 必须    | 备注                                       |
| :------ | :------ | :------------------- | :------ | :----------------------------------------- |
| `errCode`| number  | 卡片生成业务错误码   | 是      | `0` 通常表示成功生成卡片，非 `0` 表示生成失败。 |
| `errMsg` | string  | 卡片生成业务错误信息 | 是      | 对应 `errCode` 的错误描述。                |
| `arkJson`| string  | 生成的卡片JSON字符串 | 是      | 如果 `errCode` 是 `0`，则包含完整的Ark Json数据。 |

## 错误处理

顶层 `retcode` 不为 `0` 通常表示API请求本身的参数错误、权限不足等问题。
顶层 `retcode` 为 `0` 但 `data` 中的 `errCode` 不为 `0` 表示API请求成功被处理，但业务操作（生成卡片）失败，`errMsg` 中会提供失败原因。
