## API: 获取推荐群聊卡片

**Endpoint:** `/ArkShareGroup`

**方法:** `POST`

**标签:** 账号相关

**描述:**

此 API 用于根据群聊 ID 获取推荐群聊卡片的 JSON 数据。这个卡片数据可以用于通过 `send_group_forward_msg` 或 `send_private_forward_msg` 等接口发送给其他用户，以邀请他们加入该群聊。

**请求参数:**

请求体使用 `application/json` 格式。

| 字段名   | 类型   | 必须 | 描述       |
| :------- | :----- | :--- | :--------- |
| `group_id` | `string` | 是   | 需要获取卡片的群号 |

**响应:**

| 字段名   | 类型     | 描述         |
| :------- | :------- | :----------- |
| `status` | `string` | 状态，`ok` 表示成功 |
| `retcode`| `number` | 返回码       |
| `data`   | `string` | **卡片 JSON 数据**。此字段包含可以直接用于发送群聊推荐卡片的 JSON 字符串。 |
| `message`| `string` | 错误信息（如果状态不是 `ok`） |
| `wording`| `string` | 错误描述（如果状态不是 `ok`） |
| `echo`   | `string` | 用户发送的 `echo`（如果提供了） |

**成功响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": "{\"app\":\"com.tencent.qqmasterpark\",\"desc\":\"推荐您加入群聊\",\"view\":\"SourceMsg\".*\",\"meta\":{\"detail_1\":{\"desc\":\"欢迎加入\",\"qqmasterpark_attach\":{\"group_id\":12345,\"open_type\":1,\"source_type\":2},\"title\":\"群聊名称\"}},\"prompt\":\"[QQ小程序]QQ群聊\",\"ver\":\"1.0.0.123\"}",
  "message": "",
  "wording": "",
  "echo": "user_echo_data"
}
```

**说明:**

*   `data` 字段返回的是一个 JSON 字符串，需要将其作为 `send_group_forward_msg` 或 `send_private_forward_msg` 等接口的 `messages` 参数中的一个元素（类型为 `node`，内容为卡片 JSON 字符串）来发送。
*   实际返回的卡片 JSON 结构可能会因 QQ 版本或其他因素而有所不同，但其基本用途是表示一个群聊推荐卡片。
