## 获取机器人账号范围

*   **Endpoint:** `/get_robot_uin_range`
*   **Method:** `POST`
*   **Description:** 获取当前机器人账号（UIN）所在的账号范围列表。这个接口可以用来确定机器人账号属于哪个账号段。
*   **Tag:** 系统操作

### 请求

该接口无需任何请求参数。

### 响应

成功时返回一个 JSON 对象，包含以下字段：

| 字段    | 类型    | 说明                                     |
| :------ | :------ | :--------------------------------------- |
| `status`  | `string`  | API 调用状态，固定为 `ok`                    |
| `retcode` | `number`  | 机器人返回码                              |
| `data`    | `array`   | 机器人所在的账号范围列表，数组中每个元素是一个对象 |
| `message` | `string`  | 错误信息（如果 status 不是 `ok`）              |
| `wording` | `string`  | 友好提示信息                              |
| `echo`    | `string` or `null` | 可选，回传字段，如果请求时指定了 echo 字段     |

`data` 数组中的每个对象包含以下字段：

| 字段     | 类型    | 说明           |
| :------- | :------ | :------------- |
| `minUin` | `string`  | 账号范围的起始 UIN |
| `maxUin` | `string`  | 账号范围的结束 UIN |

### 示例响应

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "minUin": "3328144510",
      "maxUin": "3328144510"
    },
    {
      "minUin": "2854196301",
      "maxUin": "2854216399"
    },
    {
      "minUin": "66600000",
      "maxUin": "66600000"
    },
    {
      "minUin": "3889000000",
      "maxUin": "3889999999"
    },
    {
      "minUin": "4010000000",
      "maxUin": "4019999999"
    }
  ],
  "message": "",
  "wording": "",
  "echo": null
}
```