## 设置在线状态

**Endpoint:** `POST /set_online_status`

此API用于设置当前登录账号的在线状态。你可以选择多种预设状态，如在线、离开、忙碌、隐身，或者带有特定图标的扩展状态（如听歌中、学习中等）。

### 状态列表

以下是常用的在线状态及其对应的 `status` 和 `ext_status` 值。`battery_status` 通常设置为 `0`。

| 状态名称     | `status` | `ext_status` | `battery_status` |
|--------------|----------|--------------|------------------|
| 在线         | `10`     | `0`          | `0`              |
| Q我吧        | `60`     | `0`          | `0`              |
| 离开         | `30`     | `0`          | `0`              |
| 忙碌         | `50`     | `0`          | `0`              |
| 请勿打扰     | `70`     | `0`          | `0`              |
| 隐身         | `40`     | `0`          | `0`              |
| 听歌中       | `10`     | `1028`       | `0`              |
| 春日限定     | `10`     | `2037`       | `0`              |
| 一起元梦     | `10`     | `2025`       | `0`              |
| 求星搭子     | `10`     | `2026`       | `0`              |
| 被掏空       | `10`     | `2014`       | `0`              |
| 今日天气     | `10`     | `1030`       | `0`              |
| 我crash了    | `10`     | `2019`       | `0`              |
| 爱你         | `10`     | `2006`       | `0`              |
| 恋爱中       | `10`     | `1051`       | `0`              |
| 好运锦鲤     | `10`     | `1071`       | `0`              |
| 水逆退散     | `10`     | `1201`       | `0`              |
| 嗨到飞起     | `10`     | `1056`       | `0`              |
| 元气满满     | `10`     | `1058`       | `0`              |
| 宝宝认证     | `10`     | `1070`       | `0`              |
| 一言难尽     | `10`     | `1063`       | `0`              |
| 难得糊涂     | `10`     | `2001`       | `0`              |
| emo中        | `10`     | `1401`       | `0`              |
| 我太难了     | `10`     | `1062`       | `0`              |
| 我想开了     | `10`     | `2013`       | `0`              |
| 我没事       | `10`     | `1052`       | `0`              |
| 想静静       | `10`     | `1061`       | `0`              |
| 悠哉哉       | `10`     | `1059`       | `0`              |
| 去旅行       | `10`     | `2015`       | `0`              |
| 信号弱       | `10`     | `1011`       | `0`              |
| 出去浪       | `10`     | `2003`       | `0`              |
| 肝作业       | `10`     | `2012`       | `0`              |
| 学习中       | `10`     | `1018`       | `0`              |
| 搬砖中       | `10`     | `2023`       | `0`              |
| 摸鱼中       | `10`     | `1300`       | `0`              |
| 无聊中       | `10`     | `1060`       | `0`              |
| timi中       | `10`     | `1027`       | `0`              |
| 睡觉中       | `10`     | `1016`       | `0`              |
| 熬夜中       | `10`     | `1032`       | `0`              |
| 追剧中       | `10`     | `1021`       | `0`              |
| 我的电量     | `10`     | `1000`       | `根据实际电量填写` |

### Request Body

需要通过请求体（Request Body）发送 JSON 数据来指定在线状态参数。

| 参数名        | 类型   | 必须 | 说明                       |
|---------------|------|----|----------------------------|
| `status`      | `number` | 是 | 在线状态主码。详见上方状态列表 |
| `extStatus`   | `number` | 是 | 在线状态扩展码。详见上方状态列表 |
| `batteryStatus`| `number` | 是 | 电量状态。通常为 `0`。选择“我的电量”状态时根据实际电量填写 |

**请求示例:**

```json
{
  "status": 10,
  "ext_status": 1028,
  "battery_status": 0
}
```

这将把QQ状态设置为“听歌中”。

### Response

成功设置在线状态后，将返回标准的成功响应。

**响应示例 (200 OK):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": "..." 
}
```

| 参数名    | 类型     | 说明                                   |
|-----------|--------|----------------------------------------|
| `status`  | `string` | 状态，通常为 `"ok"` 表示成功。             |
| `retcode` | `number` | 返回码，`0` 通常表示成功。                  |
| `data`    | `null`   | 此接口成功时 `data` 字段为 `null`。       |
| `message` | `string` | 详细消息。                              |
| `wording` | `string` | 友好提示。                              |
| `echo`    | `string` | 回传的 `echo` 字段，如果请求中包含的话。 |

**错误处理:**

如果设置失败（例如参数错误或网络问题），`status` 将不是 `"ok"`，`retcode` 将是非零值，`message` 和 `wording` 中会包含错误信息。

### Tags

账号相关
