# 获取好友分组列表

## Endpoint

`POST /get_friends_with_category`

## 描述

获取当前登录账号的所有好友分组及其分组下的好友信息。

## 请求

### URL

`/get_friends_with_category`

### 方法

`POST`

### 参数

无。

### 请求体

无。

## 响应

### 成功响应 (状态码 200)

返回一个JSON对象，包含状态码、数据、消息等信息。

#### 响应体结构

| 字段名    | 类型     | 描述                                                         |
| --------- | -------- | ------------------------------------------------------------ |
| `status`  | `string` | 状态，固定为 `ok`。                                          |
| `retcode` | `number` | 返回码。                                                     |
| `data`    | `array`  | 好友分组列表，见下方 **`data` 数组项结构**。                 |
| `message` | `string` | 错误信息，成功时为空字符串。                                 |
| `wording` | `string` | 供用户识别的详细错误信息，成功时为空字符串。                 |
| `echo`    | `string` | 用户传入的 `echo` 字段，如果存在。nullable。               |

#### `data` 数组项结构 (好友分组信息)

数组中的每个对象代表一个好友分组。

| 字段名          | 类型     | 描述           |
| --------------- | -------- | -------------- |
| `categoryId`    | `number` | 分组ID         |
| `categorySortId`| `number` | 分组排序ID     |
| `categoryName`  | `string` | 分组名         |
| `categoryMbCount`| `number` | 好友数量       |
| `onlineCount`   | `number` | 在线好友数量   |
| `buddyList`     | `array`  | 好友列表，见下方 **`buddyList` 数组项结构 (好友信息)**。 |

#### `buddyList` 数组项结构 (好友信息)

`buddyList` 数组中的每个对象代表一个好友。

| 字段名         | 类型     | 描述       |
| -------------- | -------- | ---------- |
| `birthday_year`| `number` | 生日年     |
| `birthday_month`| `number` | 生日月     |
| `birthday_day` | `number` | 生日日     |
| `user_id`      | `number` | 账号 (QQ号)|
| `age`          | `number` | 年龄       |
| `phone_num`    | `string` | 电话号码   |
| `email`        | `string` | 邮箱       |
| `category_id`  | `number` | 分组ID     |
| `nickname`     | `string` | 昵称       |
| `remark`       | `string` | 备注       |
| `sex`          | `string` | 性别       |
| `level`        | `number` | 等级       |

### 错误响应

请参考 [通用错误响应说明](/general/error-response)  (注: 此链接可能需要根据实际文档结构调整)

## 示例

### 示例请求

```http
POST /get_friends_with_category HTTP/1.1
Host: your_napcat_api_host
Content-Type: application/json
```

```json
{}
```

### 示例响应

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "categoryId": 0,
      "categorySortId": 0,
      "categoryName": "我的好友",
      "categoryMbCount": 100,
      "onlineCount": 50,
      "buddyList": [
        {
          "birthday_year": 2000,
          "birthday_month": 1,
          "birthday_day": 1,
          "user_id": 123456,
          "age": 22,
          "phone_num": "13800138000",
          "email": "test@example.com",
          "category_id": 0,
          "nickname": "测试好友1",
          "remark": "备注1",
          "sex": "male",
          "level": 10
        },
        {
          "birthday_year": 2001,
          "birthday_month": 5,
          "birthday_day": 15,
          "user_id": 654321,
          "age": 21,
          "phone_num": "",
          "email": "",
          "category_id": 0,
          "nickname": "测试好友2",
          "remark": "",
          "sex": "female",
          "level": 8
        }
        // ... 更多好友
      ]
    },
    {
      "categoryId": 1,
      "categorySortId": 1,
      "categoryName": "家人",
      "categoryMbCount": 10,
      "onlineCount": 5,
      "buddyList": [
         // ... 家人好友列表
      ]
    }
    // ... 更多分组
  ],
  "message": "",
  "wording": "",
  "echo": null
}
```
