# API Endpoint: `/forward_friend_single_msg`

## 功能说明
消息转发到私聊

## Endpoint
`/forward_friend_single_msg`

## 方法
`POST`

## 描述
本接口用于将指定的消息（可以是群聊或私聊中的消息）转发给某个指定的好友。

## 请求参数

| 参数名     | 类型          | 必需 | 说明                                   |
| :--------- | :------------ | :--- | :------------------------------------- |
| `user_id`  | `number`/`string` | 是   | 目标好友的QQ号/用户ID。                |
| `message_id` | `number`/`string` | 是   | 需要转发的消息的消息ID。               |

**请求体示例:**

```json
{
  "user_id": 123456789,
  "message_id": 987654
}
```

## 响应

### `200 OK`

表示消息成功转发。

**响应体示例:**

```json
{
  "status": "ok",
  "retcode": 0, 
  "data": null,
  "message": "发送成功",
  "wording": "操作成功",
  "echo": "用户自定义字段" 
}
```

**响应字段说明:**

| 参数名    | 类型      | 说明                                   |
| :-------- | :-------- | :------------------------------------- |
| `status`  | `string`  | 操作状态，成功时为 `"ok"`。            |
| `retcode` | `number`  | 状态码，`0` 通常表示成功，其他值表示错误。 |
| `data`    | `null`    | 成功时返回的数据，此接口固定为 `null`。   |
| `message` | `string`  | 操作结果的简单描述。                   |
| `wording` | `string`  | 操作结果的用户友好提示。               |
| `echo`    | `string`  | 如果请求中携带了 `echo` 字段，则原样返回。|

## 错误处理

具体的错误信息和错误码会通过 `status`, `retcode`, `message`, `wording` 字段返回。可能的错误包括但不限于：无效的 `user_id` 或 `message_id`，机器人没有发送消息的权限，消息不存在等。请参考全局错误码文档获取详细信息。
