# 消息转发到群

**Endpoint:** `POST /forward_group_single_msg`

**概述:**

将一条指定的私聊或群聊消息转发到指定的群聊。

**参数:**

| 参数名     | 类型        | 描述             | 是否必须 |
| :--------- | :---------- | :--------------- | :------- |
| `group_id` | number/string | 要转发到的群号   | 是       |
| `message_id` | number/string | 要转发的消息ID   | 是       |

**响应:**

接口返回标准的 API 响应结构。

| 字段名   | 类型    | 描述                                     |
| :------- | :------ | :--------------------------------------- |
| `status` | string  | 状态，`ok` 表示成功，`fail` 表示失败     |
| `retcode`| number  | 返回码，`0` 表示成功，非 `0` 表示失败     |
| `data`   | null    | 此接口成功时不返回数据，固定为 `null`    |
| `message`| string  | 消息，通常是错误的简要描述              |
| `wording`| string  | 错误消息，更详细的错误描述             |
| `echo`   | string  | 回显，发送请求时携带的 `echo` 字段      |

**示例:**

**请求体:**

```json
{
  "group_id": 123456789,
  "message_id": 98765
}
```

**成功响应:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": "user_echo_data"
}
```