# API: /translate_en2zh - 英译中

本API用于将英文单词数组翻译成对应的中文数组。

**标签:** 个人操作

## 请求

**方法:** `POST`

**路径:** `/translate_en2zh`

**请求体 (Request Body):**

发送一个JSON对象，包含需要翻译的英文单词列表。

| 参数名 | 类型 | 是否必需 | 描述 |
|---|---|---|---|
| words | `array` of `string` | 是 | 英文单词数组 |

**请求体示例:**

```json
{
  "words": [
    "word",
    "message",
    "group"
  ]
}
```

## 响应

**状态码:** `200 OK`

**响应体 (Response Body):**

成功时，返回一个JSON对象，包含翻译结果数组。

| 参数名 | 类型 | 描述 |
|---|---|---|
| status | `string` | API处理状态，成功时固定为 `ok` |
| retcode | `number` | 返回码，`0` 通常表示成功 |
| data | `array` of `string` | 翻译后的中文单词数组，与请求中的英文单词按顺序对应 |
| message | `string` | 错误信息，成功时为空 |
| wording | `string` | 额外提示信息 |
| echo | `string` (nullable) | 可能包含请求时携带的echo字段，用于标识请求 |

**响应体示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    "单词",
    "讯息",
    "群组"
  ],
  "message": "",
  "wording": "",
  "echo": null
}
```

**错误响应:**

如果请求失败，`status` 可能不为 `ok`，`retcode` 会是非零值，`message` 和 `wording` 会包含错误详情。具体的错误码和信息请参考Napcat API的通用错误处理说明。
