## 贴表情

*   **Endpoint:** `/set_msg_emoji_like`
*   **方法:** `POST`
*   **说明:** 用于对指定消息添加或移除表情反应。

### 请求参数

| 参数名     | 类型           | 必须 | 说明                                     |
| :--------- | :------------- | :--- | :--------------------------------------- |
| `message_id` | `number` 或 `string` | 是   | 需要添加/移除表情反应的消息 ID。             |
| `emoji_id`   | `number`       | 是   | 需要使用的表情 ID。                          |
| `set`        | `boolean`      | 是   | 是否添加表情反应。`true` 为添加，`false` 为移除。 |

### 响应数据

响应是一个 JSON 对象，通常包含以下字段：

| 字段名    | 类型     | 说明                                     |
| :-------- | :------- | :--------------------------------------- |
| `status`  | `string` | 状态，通常为 `ok`。                        |
| `retcode` | `number` | 返回码。                                 |
| `data`    | `object` | 包含具体结果数据的对象。                   |
| `message` | `string` | 消息文本。                               |
| `wording` | `string` | 提示文本。                               |
| `echo`    | `string` | 对端发送的 echo 字段（如果请求中包含）。      |

`data` 字段是一个对象，包含以下内容：

| 字段名  | 类型     | 说明           |
| :------ | :------- | :------------- |
| `result`  | `number` | 操作结果码。 |
| `errMsg` | `string` | 操作结果消息。 |

### 示例

**请求体:**

```json
{
  "message_id": 123456,
  "emoji_id": 5,
  "set": true
}
```

**响应体 (成功):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "result": 0,
    "errMsg": ""
  },
  "message": "",
  "wording": "",
  "echo": null
}
```