# 发送合并转发消息

**端点:** `POST /send_forward_msg`

**描述:** 向指定用户或群组发送一条自定义的合并转发消息。

**请求体参数:**

| 参数名    | 是否必需 | 类型                           | 描述                                                                                                 |
| :-------- | :------- | :----------------------------- | :--------------------------------------------------------------------------------------------------- |
| `group_id` | 否       | `number` 或 `string`           | 群号 (发送到群聊时必需)。`user_id` 和 `group_id` 至少需要提供一个。                                  |
| `user_id`  | 否       | `number` 或 `string`           | 用户号 (发送到个人时必需)。`user_id` 和 `group_id` 至少需要提供一个。                                  |
| `messages` | 是       | `array` of `一级合并转发消息` | 合并转发消息的节点列表，构成消息的主体内容。每个节点代表转发消息中的一条记录。                         |
| `news`     | 是       | `array` of `{ text: string }`  | 合并转发消息的外显文本列表，显示在消息摘要的顶部区域。                                               |
| `prompt`   | 是       | `string`                       | 合并转发消息的外显提示文本，显示在消息摘要的标题下方。                                                 |
| `summary`  | 是       | `string`                       | 合并转发消息的底部文本，显示在消息内容的下方。                                                       |
| `source`   | 是       | `string`                       | 合并转发消息的顶部标题或来源信息。                                                                   |

**`一级合并转发消息` 结构:**

`messages` 数组中的每个元素都是一个代表转发消息节点的 JSON 对象，其结构如下：

```json
{
  "type": "node",
  "data": {
    "user_id": "发送者QQ号",
    "nickname": "发送者昵称",
    "content": [ /* 消息段数组 */ ]
  }
}
```

- **`type`**: 固定值 `