# 设置私聊已读

## Endpoint

`POST /mark_private_msg_as_read`

## 说明

该 API 用于将指定用户的私聊消息标记为已读。

## 请求参数

请求体使用 `application/json` 格式。

| 参数名  | 类型     | 必填 | 说明         |
| :------ | :------- | :--- | :----------- |
| user_id | number 或 string | 是   | 要标记已读的私聊对象用户 ID |

## 响应

响应体使用 `application/json` 格式，返回标准的 API 响应结构，其中 `data` 字段为 null。

| 字段名  | 类型   | 说明             |
| :------ | :----- | :--------------- |
| status  | string | 状态，`ok` 表示成功 |
| retcode | number | 返回码           |
| data    | null   | 数据，固定为 null   |
| message | string | 错误信息，空字符串表示成功 |
| wording | string | 友好提示         |
| echo    | string | 原样返回的 echo 字段（如果请求中带了） |

## 示例

**请求示例:**

```json
{
  "user_id": 123456789
}
```

**响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": ""
}
```