# 设置群聊已读

**Endpoint:** `POST /mark_group_msg_as_read`

**说明:**

该接口用于将指定群聊的所有消息标记为已读。

**参数:**

| 字段名   | 类型         | 必填 | 说明         |
| :------- | :----------- | :--- | :----------- |
| `group_id` | `number` 或 `string` | 是   | 要标记已读的群号 |

**响应:**

接口调用成功后，将返回如下JSON对象：

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "成功",
  "wording": "",
  "echo": null // 或调用时传入的echo值
}
```

*   `status`: 调用状态，`"ok"` 表示成功。
*   `retcode`: 返回码，`0` 通常表示成功。
*   `data`: 接口返回的数据，在此接口中固定为 `null`。
*   `message`: 状态消息。
*   `wording`: 状态的自然语言描述。
*   `echo`: 如果调用时指定了 `echo` 字段，则会原样返回。

**示例:**

请求体:

```json
{
  "group_id": 123456789
}
```

或

```json
{
  "group_id": "123456789"
}
```

响应体 (成功):

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "成功",
  "wording": "",
  "echo": "your_echo_value"
}
```