## API: `/create_collection`

### 概述

该API用于创建一个新的收藏记录。

### Endpoint

`POST /create_collection`

### 标签

账号相关

### 请求体 (Request Body)

请求体是一个JSON对象，包含以下参数：

| 参数名   | 类型   | 描述   | 必填 |
| :------- | :----- | :----- | :--- |
| rawData  | string | 收藏的内容 | 是   |
| brief    | string | 收藏的标题 | 是   |

**示例:**

```json
{
  "rawData": "http://localhost:2017/",
  "brief": "123"
}
```

### 响应 (Response)

API会返回一个JSON对象，表示操作结果。标准的Napcat API响应结构如下：

| 参数名  | 类型    | 描述       | 示例值   |
| :------ | :------ | :--------- | :------- |
| status  | string  | 请求状态   | "ok"     |
| retcode | number  | 返回码     | 0        |
| message | string  | 消息       | "OK"     |
| wording | string  | 易读消息   | "操作成功" |
| echo    | string  | 回显（可选） | null     |
| data    | object  | 业务数据   | {}       |

`data` 字段是一个对象，包含本次创建收藏操作的具体结果：

| 参数名 | 类型   | 描述         |
| :----- | :----- | :----------- |
| result | number | 操作结果码   |
| errMsg | string | 操作结果描述 |

**成功的响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "result": 0,
    "errMsg": "成功"
  },
  "message": "OK",
  "wording": "操作成功",
  "echo": null
}
```

**可能的 `data.result` 值和 `data.errMsg` 说明:**

-   `result: 0`, `errMsg: "成功"`: 收藏创建成功。
-   其他 `result` 值和对应的 `errMsg`: 表示创建过程中发生的错误。请根据返回的 `errMsg` 确定具体原因。
