# API 文档: 获取收藏列表

## Endpoint

`POST /get_collection_list`

## 描述

此API用于获取用户的收藏列表。

## 标签

其他/bug

## 请求 (Request)

- **方法:** `POST`
- **URL:** `/get_collection_list`
- **请求体:**

  需要发送一个 JSON 对象作为请求体，包含以下参数：

  | 参数名   | 类型   | 是否必需 | 描述       |
  | :------- | :----- | :------- | :--------- |
  | `category` | `string` | 是       | 收藏类别。 |
  | `count`    | `string` | 是       | 需要获取的数量。 |

  **请求体示例:**

  ```json
  {
    "category": "10",
    "count": "1"
  }
  ```

## 响应 (Response)

- **状态码:** `200 OK`
- **描述:** 成功获取列表
- **响应体:**

  返回一个 JSON 对象，包含API处理的状态信息和收藏列表数据。

  | 参数名    | 类型          | 描述                                       |
  | :-------- | :------------ | :----------------------------------------- |
  | `status`  | `string`      | API处理状态。固定为 `"ok"`。                  |
  | `retcode` | `number`      | 返回码。                                   |
  | `data`    | `array<string>` | 收藏列表数据，每个元素为收藏项的标识符或ID。 |
  | `message` | `string`      | 状态消息。                                 |
  | `wording` | `string`      | 附加的状态描述。                             |
  | `echo`    | `string or null` | Echo数据（可选）。                         |

  **响应体示例:**

  ```json
  {
    "status": "ok",
    "retcode": 0,
    "data": [
      "collection_item_id_1",
      "collection_item_id_2",
      "collection_item_id_3"
    ],
    "message": "",
    "wording": "操作成功",
    "echo": null
  }
  ```
