# API 名称: 设置个性签名

## 接口信息

*   **路径:** `/set_self_longnick`
*   **方法:** `POST`
*   **标签:** 账号相关
*   **描述:** 设置当前登录账号的个性签名。

## 请求参数

请求体是一个 JSON 对象，包含以下参数：

| 参数名   | 类型   | 必填 | 描述         | 示例         |
| :------- | :----- | :--- | :----------- | :----------- |
| `longNick` | string | 是   | 个性签名的内容 | 唔，瓦拉瓦拉 |

**示例请求体:**

```json
{
  "longNick": "唔，瓦拉瓦拉"
}
```

## 响应

### 状态码 200: 成功

表示个性签名设置成功。

**响应体:**

| 参数名      | 类型   | 描述                                  |
| :---------- | :----- | :------------------------------------ |
| `status`    | string | 状态，固定为 `ok`                      |
| `retcode`   | number | 返回码                                |
| `data`      | object | 数据详情                              |
| `data.result`| number | 操作结果码 (具体含义可能需要参考QQ协议文档) |
| `data.errMsg`| string | 错误信息，如果 `result` 表示失败的话    |
| `message`   | string | 通用消息                              |
| `wording`   | string | 更多描述性消息                        |
| `echo`      | string | 可选的回显参数                        |

**示例响应体:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "result": 0,
    "errMsg": ""
  },
  "message": "",
  "wording": "",
  "echo": null
}
```