## API: /_mark_all_as_read

### 概述

此API用于将当前登录账号接收到的所有消息标记为已读。

### Endpoint

`POST /_mark_all_as_read`

### 描述

调用此接口后，Napcat 将把与当前登录机器人账号相关的所有未读消息标记为已读状态。这通常用于清除通知或简化用户界面中的未读计数。

### 请求

此API是一个 POST 请求，**无需任何请求参数或请求体**。

### 响应

成功调用后，将返回一个标准的 Napcat 结果对象，其中 `data` 字段为 `null`。

#### 响应示例 (JSON)

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": "your_echo_string_optional"
}
```

#### 响应字段说明

| 字段名   | 类型    | 说明                                   |
| -------- | ------- | -------------------------------------- |
| `status` | string  | 状态码，`ok` 表示成功。                |
| `retcode`| number  | 返回码，`0` 表示成功。                 |
| `data`   | null    | **此接口固定为 `null`**。              |
| `message`| string  | 错误信息（请求失败时有意义）。         |
| `wording`| string  | 错误信息的友好提示（请求失败时有意义）。 |
| `echo`   | string? | 用户在请求中传入的 `echo` 原样返回。   |

### 标签

*   账号相关
