# 获取收藏表情 (fetch_custom_face)

## 概述

此API用于获取当前登录账号的收藏表情列表。

## Endpoint

`POST /fetch_custom_face`

## 标签

* 账号相关

## 请求参数

请求体是一个 JSON 对象，包含以下参数：

| 参数名 | 类型   | 是否必需 | 默认值 | 描述               |
| :----- | :----- | :------- | :----- | :----------------- |
| count  | number | 否       | 48     | 希望获取的表情数量。 |

**请求示例:**

```json
{
  "count": 40
}
```

## 响应

成功响应返回一个 JSON 对象，包含以下字段：

| 字段名  | 类型          | 描述                                       |
| :------ | :------------ | :----------------------------------------- |
| status  | string        | 状态码，固定为 `ok`。                      |
| retcode | number        | 返回码。                                   |
| data    | array&lt;string&gt; | 收藏表情ID或标识符的数组。                 |
| message | string        | 消息。                                     |
| wording | string        | 更友好的提示信息。                         |
| echo    | string/null   | 请求中携带的 echo 字符串（如果存在）。     |

**成功响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    "custom_face_id_1",
    "custom_face_id_2",
    "custom_face_id_3"
  ],
  "message": "成功",
  "wording": "",
  "echo": "user_defined_echo"
}
```

## 错误响应

(OpenAPI spec中未详细定义错误响应，通常会包含非`ok`的status和相应的错误信息)
