# 获取贴表情详情

**Endpoint:** `/fetch_emoji_like`
**方法:** `POST`
**标签:** 消息相关

## 说明

此 API 用于获取指定消息上使用特定表情进行点赞/贴表情的用户列表。通常用于查看谁对某条消息使用了某个表情。此接口支持分页。

## 请求

### 请求体 (Body)

该请求需要一个 JSON 请求体。

| 参数名      | 类型              | 必须 | 默认值 | 说明         |
| :---------- | :---------------- | :--- | :----- | :----------- |
| `message_id` | `number` 或 `string` | 是   | 无     | 消息 ID      |
| `emojiId`   | `string`          | 是   | 无     | 表情 ID      |
| `emojiType` | `string`          | 是   | 无     | 表情类型     |
| `count`     | `number`          | 否   | 20     | 每页返回数量 |

**示例请求体:**

```json
{
  "message_id": 123456,
  "emojiId": "181",
  "emojiType": "1",
  "count": 20
}
```

## 响应

### 成功响应 (Status: 200 OK)

成功请求将返回一个 JSON 对象，遵循 Napcat 的标准响应结构。

| 参数名   | 类型     | 说明                               |
| :------- | :------- | :--------------------------------- |
| `status` | `string` | 请求状态，通常为 `"ok"`            |
| `retcode`| `number` | 返回码                               |
| `data`   | `object` | 业务数据                               |
| `message`| `string` | 状态消息                               |
| `wording`| `string` | 用户友好提示消息                       |
| `echo`   | `string` | 可能包含请求时的 `echo` 字段，用于区分请求 |

`data` 字段的结构如下：

| 参数名         | 类型        | 必须 | 说明                                     |
| :------------- | :---------- | :--- | :--------------------------------------- |
| `result`       | `number`    | 是   | 结果码 (具体含义可能需要参考 Napcat 文档) |
| `errMsg`       | `string`    | 是   | 错误消息                                 |
| `emojiLikesList` | `array`     | 是   | 贴表情用户列表                           |
| `cookie`       | `string`    | 是   | 用于下一页请求的游标 Cookie              |
| `isLastPage`   | `boolean`   | 是   | 是否是最后一页                           |
| `isFirstPage`  | `boolean`   | 是   | 是否是第一页                             |

`emojiLikesList` 数组中的每个对象代表一个用户：

| 参数名    | 类型     | 必须 | 说明         |
| :-------- | :------- | :--- | :----------- |
| `tinyId`  | `string` | 是   | 用户的 tiny ID |
| `nickName`| `string` | 是   | 用户昵称     |
| `headUrl` | `string` | 是   | 用户头像 URL |

**示例成功响应体:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "result": 0,
    "errMsg": "",
    "emojiLikesList": [
      {
        "tinyId": "12345",
        "nickName": "用户A",
        "headUrl": "http://example.com/headA.png"
      },
      {
        "tinyId": "67890",
        "nickName": "用户B",
        "headUrl": "http://example.com/headB.png"
      }
      // ... 更多用户
    ],
    "cookie": "NEXT_PAGE_COOKIE_STRING",
    "isLastPage": false,
    "isFirstPage": true
  },
  "message": "",
  "wording": "",
  "echo": null
}
```

## 注意事项

*   此接口支持分页，通过响应中的 `cookie` 字段进行翻页请求下一页数据。
*   `emojiId` 和 `emojiType` 的具体取值范围可能需要参考 QQ 协议或相关文档。