# 设置输入状态

**Endpoint:** `POST /set_input_status`

**分类:** 个人操作

**说明:**

该API用于设置指定用户的输入状态，例如显示“对方正在说话...”或“对方正在输入...”。

## 状态列表

*   **对方正在说话...**
    ```json5
    { "event_type": 0 }
    ```
*   **对方正在输入...**
    ```json5
    { "event_type": 1 }
    ```

**请求体:**

| 字段名       | 类型          | 必须 | 说明                     |
| :----------- | :------------ | :--- | :----------------------- |
| `user_id`    | `number` 或 `string` | 是   | 要设置状态的目标用户ID |
| `event_type` | `number`      | 是   | 输入状态类型 (参考状态列表) |

**响应:**

成功响应通常返回 `200 OK`，响应体是一个JSON对象。

| 字段名      | 类型    | 说明                                   |
| :---------- | :------ | :------------------------------------- |
| `status`    | `string` | 状态，通常为 "ok"                      |
| `retcode`   | `number` | 返回码                                 |
| `data`      | `object` | 响应数据对象                           |
| `data.result` | `number` | 结果码，表示操作是否成功               |
| `data.errMsg` | `string` | 错误信息，如果操作失败则包含错误描述 |
| `message`   | `string` | 消息                                   |
| `wording`   | `string` | 描述性文本                             |
| `echo`      | `string` | 可选的回显信息                         |

**成功响应示例:**

虽然文档未提供具体示例，但根据定义，成功响应结构如下：

```json
{
  "status": "ok",
  "retcode": 0, // 或其他成功码
  "data": {
    "result": 0, // 或其他成功码
    "errMsg": "" // 或空字符串
  },
  "message": "",
  "wording": "",
  "echo": null // 或其他值
}
```

**错误响应:**

通常通过 `retcode` 和 `data.errMsg` 来指示错误。具体错误码和消息取决于 Napcat 实现。
