## 获取群信息ex

**Endpoint:** `/get_group_info_ex`

**Method:** `POST`

**Tags:** [`群聊相关`]

**说明:**

获取指定群的详细扩展信息。

**请求参数:**

API 以 `POST` 方法接收 JSON 格式请求体。

| 字段名   | 类型      | 必填 | 说明         |
| :------- | :-------- | :--- | :----------- |
| `group_id` | `number` 或 `string` | 是   | 群号 |

**响应:**

成功时返回 JSON 对象，包含群的扩展信息。

```json
{
  "status": "string",
  "retcode": "number",
  "data": {
    "groupCode": "string",
    "resultCode": "number",
    "extInfo": {
      "groupInfoExtSeq": "number",
      "reserve": "number",
      "luckyWordId": "string",
      "lightCharNum": "number",
      "luckyWord": "string",
      "starId": "number",
      "essentialMsgSwitch": "number",
      "todoSeq": "number",
      "blacklistExpireTime": "number",
      "isLimitGroupRtc": "number",
      "companyId": "number",
      "hasGroupCustomPortrait": "number",
      "bindGuildId": "string",
      "groupOwnerId": {
        "memberUin": "string",
        "memberUid": "string",
        "memberQid": "string"
      },
      "essentialMsgPrivilege": "number",
      "msgEventSeq": "string",
      "inviteRobotSwitch": "number",
      "gangUpId": "string",
      "qqMusicMedalSwitch": "number",
      "showPlayTogetherSwitch": "number",
      "groupFlagPro1": "string",
      "groupBindGuildIds": {
        "guildIds": [
          "string"
        ]
      },
      "viewedMsgDisappearTime": "string",
      "groupExtFlameData": {
        "switchState": "integer",
        "state": "integer",
        "dayNums": [
          "string"
        ],
        "version": "integer",
        "updateTime": "string",
        "isDisplayDayNum": "boolean"
      },
      "groupBindGuildSwitch": "number",
      "groupAioBindGuildId": "string",
      "groupExcludeGuildIds": {
        "guildIds": [
          "string"
        ]
      },
      "fullGroupExpansionSwitch": "number",
      "fullGroupExpansionSeq": "string",
      "inviteRobotMemberSwitch": "number",
      "inviteRobotMemberExamine": "number",
      "groupSquareSwitch": "number"
    }
  },
  "message": "string",
  "wording": "string",
  "echo": "null"
}
```

**响应参数说明:**

| 字段名                   | 类型      | 说明                                                                                                |
| :----------------------- | :-------- | :-------------------------------------------------------------------------------------------------- |
| `status`                 | `string`  | 状态，如 `ok`                                                                                       |
| `retcode`                | `number`  | 返回码，`0` 表示成功                                                                                |
| `data`                   | `object`  | 响应数据                                                                                            |
| `data.groupCode`         | `string`  | 群号                                                                                                |
| `data.resultCode`        | `number`  | 结果码                                                                                              |
| `data.extInfo`           | `object`  | 群扩展信息对象                                                                                      |
| `data.extInfo.groupInfoExtSeq` | `number`  | 群信息扩展序列号                                                                                    |
| `data.extInfo.reserve`   | `number`  | 保留字段                                                                                            |
| `data.extInfo.luckyWordId` | `string`  | 幸运字符ID                                                                                        |
| `data.extInfo.lightCharNum` | `number`  | 点亮字符数                                                                                        |
| `data.extInfo.luckyWord` | `string`  | 幸运字符                                                                                            |
| `data.extInfo.starId`    | `number`  | 星级ID                                                                                              |
| `data.extInfo.essentialMsgSwitch` | `number` | 重点消息开关                                                                                      |
| `data.extInfo.todoSeq`   | `number`  | Todo序列号                                                                                          |
| `data.extInfo.blacklistExpireTime` | `number` | 黑名单过期时间                                                                                      |
| `data.extInfo.isLimitGroupRtc` | `number` | 是否限制群RTC                                                                                       |
| `data.extInfo.companyId` | `number`  | 公司ID                                                                                              |
| `data.extInfo.hasGroupCustomPortrait` | `number` | 是否有群自定义头像                                                                                  |
| `data.extInfo.bindGuildId` | `string`  | 绑定的频道ID                                                                                        |
| `data.extInfo.groupOwnerId` | `object` | 群主信息                                                                                            |
| `data.extInfo.groupOwnerId.memberUin` | `string` | 群主uin                                                                                             |
| `data.extInfo.groupOwnerId.memberUid` | `string` | 群主uid                                                                                             |
| `data.extInfo.groupOwnerId.memberQid` | `string` | 群主qid                                                                                             |
| `data.extInfo.essentialMsgPrivilege` | `number` | 重点消息权限                                                                                      |
| `data.extInfo.msgEventSeq` | `string`  | 消息事件序列号                                                                                      |
| `data.extInfo.inviteRobotSwitch` | `number` | 邀请机器人开关                                                                                    |
| `data.extInfo.gangUpId`  | `string`  | GangUp ID                                                                                           |
| `data.extInfo.qqMusicMedalSwitch` | `number` | QQ音乐勋章开关                                                                                    |
| `data.extInfo.showPlayTogetherSwitch` | `number` | 显示一起玩开关                                                                                    |
| `data.extInfo.groupFlagPro1` | `string`  | 群标志Pro1                                                                                          |
| `data.extInfo.groupBindGuildIds` | `object` | 绑定的频道列表对象                                                                                  |
| `data.extInfo.groupBindGuildIds.guildIds` | `array` | 绑定的频道ID列表                                                                                    |
| `data.extInfo.viewedMsgDisappearTime` | `string` | 已读消息消失时间                                                                                    |
| `data.extInfo.groupExtFlameData` | `object` | 群火焰数据                                                                                          |
| `data.extInfo.groupExtFlameData.switchState` | `integer` | 火焰开关状态                                                                                        |
| `data.extInfo.groupExtFlameData.state` | `integer` | 火焰状态                                                                                            |
| `data.extInfo.groupExtFlameData.dayNums` | `array` | 天数列表                                                                                            |
| `data.extInfo.groupExtFlameData.version` | `integer` | 版本                                                                                                |
| `data.extInfo.groupExtFlameData.updateTime` | `string` | 更新时间                                                                                            |
| `data.extInfo.groupExtFlameData.isDisplayDayNum` | `boolean` | 是否显示天数                                                                                        |
| `data.extInfo.groupBindGuildSwitch` | `number` | 群绑定频道开关                                                                                    |
| `data.extInfo.groupAioBindGuildId` | `string`  | 群AIO绑定的频道ID                                                                                   |
| `data.extInfo.groupExcludeGuildIds` | `object` | 群排除的频道列表对象                                                                                |
| `data.extInfo.groupExcludeGuildIds.guildIds` | `array` | 排除的频道ID列表                                                                                    |
| `data.extInfo.fullGroupExpansionSwitch` | `number` | 完整群扩展开关                                                                                    |
| `data.extInfo.fullGroupExpansionSeq` | `string`  | 完整群扩展序列号                                                                                    |
| `data.extInfo.inviteRobotMemberSwitch` | `number` | 邀请机器人成员开关                                                                                  |
| `data.extInfo.inviteRobotMemberExamine` | `number` | 邀请机器人成员审核                                                                                  |
| `data.extInfo.groupSquareSwitch` | `number`  | 群广场开关                                                                                          |
| `message`                | `string`  | 错误信息，成功时为空                                                                              |
| `wording`                | `string`  | 提示信息，成功时为空                                                                              |
| `echo`                   | `null`    | 回显，如果请求包里带了 echo 那么响应包会回显对应的 echo，方便用户关联请求和响应，如果请求包里没有 echo 那么响应包里也没有这个字段 |

**响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "groupCode": "790514019",
    "resultCode": 0,
    "extInfo": {
      "groupInfoExtSeq": 1,
      "reserve": 0,
      "luckyWordId": "0",
      "lightCharNum": 0,
      "luckyWord": "",
      "starId": 0,
      "essentialMsgSwitch": 0,
      "todoSeq": 0,
      "blacklistExpireTime": 0,
      "isLimitGroupRtc": 0,
      "companyId": 0,
      "hasGroupCustomPortrait": 1,
      "bindGuildId": "0",
      "groupOwnerId": {
        "memberUin": "1129317309",
        "memberUid": "u_4_QA-QaFryh-Ocgsv4_8EQ",
        "memberQid": ""
      },
      "essentialMsgPrivilege": 0,
      "msgEventSeq": "0",
      "inviteRobotSwitch": 0,
      "gangUpId": "0",
      "qqMusicMedalSwitch": 0,
      "showPlayTogetherSwitch": 0,
      "groupFlagPro1": "0",
      "groupBindGuildIds": {
        "guildIds": []
      },
      "viewedMsgDisappearTime": "0",
      "groupExtFlameData": {
        "switchState": 0,
        "state": 0,
        "dayNums": [],
        "version": 0,
        "updateTime": "0",
        "isDisplayDayNum": false
      },
      "groupBindGuildSwitch": 0,
      "groupAioBindGuildId": "0",
      "groupExcludeGuildIds": {
        "guildIds": []
      },
      "fullGroupExpansionSwitch": 0,
      "fullGroupExpansionSeq": "0",
      "inviteRobotMemberSwitch": 0,
      "inviteRobotMemberExamine": 0,
      "groupSquareSwitch": 0
    }
  },
  "message": "",
  "wording": "",
  "echo": null
}
```
