## 获取被过滤的加群请求

### Endpoint

`POST /get_group_ignore_add_request`

### 简介

此API用于获取那些被Napcat过滤（忽略）掉的加群请求。

### 请求

该API接受一个空的 JSON 对象作为请求体。

```json
{}
```

### 响应

成功调用后，将返回一个包含过滤掉的加群请求列表的JSON对象。

#### 响应数据 (`data` 字段)

`data` 字段是一个数组，数组中的每个元素代表一个被过滤的加群请求信息。

| 参数名         | 类型    | 说明                                  | 可空   | 必填 |
| -------------- | ------- | ------------------------------------- | ------ | ---- |
| `request_id`   | number  | 请求的唯一标识符（可能是QQ号或群号）  | 否     | 是   |
| `invitor_uin`  | number  | 邀请人的 QQ 号（如果是邀请加群）      | 否     | 是   |
| `invitor_nick` | string  | 邀请人的昵称（如果是邀请加群）        | 是     | 是   |
| `group_id`     | number  | 目标群号                              | 是     | 是   |
| `message`      | string  | 加群或邀请附言                        | 是     | 是   |
| `group_name`   | string  | 目标群名称                            | 是     | 是   |
| `checked`      | boolean | 请求是否已被检查过（内部状态）        | 否     | 是   |
| `actor`        | number  | 处理该请求的 Bot QQ 号或相关标识符    | 否     | 是   |
| `requester_nick` | string  | 请求加群者的昵称                      | 是     | 是   |

#### 成功响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "request_id": 123456789,
      "invitor_uin": 10001,
      "invitor_nick": "张三",
      "group_id": 12345,
      "message": "你好，想加入",
      "group_name": "测试群",
      "checked": true,
      "actor": 1234567,
      "requester_nick": "李四"
    }
    // 可能有更多请求对象
  ],
  "message": "",
  "wording": "",
  "echo": null
}
```
