# 发送私聊戳一戳

**Endpoint:** `POST /friend_poke`

**概述:**

向指定好友发送一个“戳一戳”动作。

**请求:**

通过 `POST` 方法发送 JSON 数据到 `/friend_poke` 路径。

| 参数名   | 类型         | 是否必需 | 描述       |
| :------- | :----------- | :------- | :--------- |
| user_id  | number 或 string | 是       | 好友的 QQ 号码 |

**请求示例:**

```json
{
  "user_id": 123456789
}
```
或者
```json
{
  "user_id": "123456789"
}
```

**响应:**

成功请求会返回一个 JSON 对象。

| 字段名   | 类型    | 描述                                   |
| :------- | :------ | :------------------------------------- |
| status   | string  | 状态，`ok` 表示成功，`failed` 表示失败 |
| retcode  | number  | 返回码                                 |
| data     | object  | API 返回的数据，此接口成功时通常为空或 null |
| message  | string  | 错误信息（仅当 status 为 `failed` 时有效） |
| wording  | string  | 友好提示信息                           |
| echo     | string  | 请求的 echo 字段，如果请求时指定了该字段 |

**响应示例 (成功):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "成功",
  "echo": "some_echo_data"
}
```

**注意事项:**

*   `user_id` 必须是你已经添加为好友的 QQ 号码。
*   戳一戳的频率可能受到 QQ 官方限制。
