# 发送群聊戳一戳 (group_poke)

## 接口说明

此接口用于在指定的群聊中向指定用户发送一个“戳一戳”动作。

## Endpoint

`POST /group_poke`

## 请求参数

请求体 `application/json`：

| 参数名   | 类型                | 必填 | 说明       |
| -------- | ------------------- | ---- | ---------- |
| group_id | `number` or `string` | 是   | 目标群号   |
| user_id  | `number` or `string` | 是   | 目标用户ID |

## 响应

### 状态码 200 成功

表示请求成功，戳一戳动作可能已发送（具体发送结果取决于机器人状态和权限）。

**响应体 `application/json`:**

这是一个标准的 Napcat API 响应结构，`data` 字段在此接口中为空对象。

| 参数名  | 类型    | 说明                               | 示例值 |
| ------- | ------- | ---------------------------------- | ------ |
| status  | `string`| 状态码，通常为 `ok` 或 `failed`    | `ok`   |
| retcode | `number`| 返回码，详细错误信息请参考文档     | `0`    |
| data    | `object`| 接口返回的实际数据，此接口为空对象 | `{}`   |
| message | `string`| 错误信息说明                       | `null` |
| wording | `string`| 友好提示信息                       | `null` |
| echo    | `string`| 请求时的 echo 字段（如果提供了）   | `null` |

## 请求示例

```json
{
  "group_id": 123456789,
  "user_id": 10001
}
```

## 响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {},
  "message": null,
  "wording": null,
  "echo": null
}
```