# API Documentation

## 获取packet状态 (Get packet status)

### Endpoint

`POST /nc_get_packet_status`

### Description

此API用于获取Napcat核心的网络packet处理状态或连接状态。

### Request

#### Parameters

无。

#### Request Body

请求体为一个空的JSON对象 `{}`。

### Response

#### Status Code 200 (Success)

成功时返回如下JSON对象：

| 字段名  | 类型    | 说明                                           |
| :------ | :------ | :--------------------------------------------- |
| status  | string  | 状态码，成功时为 `"ok"`。                        |
| retcode | number  | 返回码，`0` 通常表示成功，其他值表示错误。           |
| data    | null    | 数据字段，此接口返回的数据字段固定为 `null`。        |
| message | string  | 消息。                                         |
| wording | string  | 提示信息。                                     |
| echo    | string 或 null | 可选，用于回显请求中的 echo 字段。                 |

### Example

#### Request Example

```http
POST /nc_get_packet_status HTTP/1.1
Host: your-napcat-api-host
Content-Type: application/json

{}
```

#### Response Example

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "成功",
  "echo": null
}
```