## API Endpoint: `/nc_get_user_status`

### 概述

获取指定用户的当前状态和扩展状态信息。

### Endpoint 信息

*   **URL:** `/nc_get_user_status`
*   **方法:** `POST`
*   **标签:** `账号相关`

### 请求

#### 请求方式

`POST`

#### URL 参数

无

#### 请求体 (Body)

使用 `application/json` 格式提交请求体。

**请求体结构:**

| 参数      | 类型            | 必填 | 描述                     |
| :-------- | :-------------- | :--- | :----------------------- |
| `user_id` | `number` 或 `string` | 是   | 需要查询状态的用户 ID。 |

**示例请求体:**

```json
{
  "user_id": 123456789
}
```

或者

```json
{
  "user_id": "your_user_id_string"
}
```

### 响应

#### 成功响应 (状态码: 200)

使用 `application/json` 格式返回响应体。

**响应体结构:**

| 参数      | 类型    | 必填 | 描述                                     |
| :-------- | :------ | :--- | :--------------------------------------- |
| `status`  | `string` | 是   | API 调用状态，成功时为 `ok`。           |
| `retcode` | `number` | 是   | 返回码，0 表示成功，其他值表示错误。       |
| `data`    | `object` | 是   | 包含用户状态信息的对象。                  |
| `message` | `string` | 是   | 关于 API 调用结果的简短消息。             |
| `wording` | `string` | 是   | 更详细的描述或措辞。                      |
| `echo`    | `string` | 是   | 可选的回显数据，如果请求中包含 `echo` 字段。 |

**`data` 对象的结构:**

| 参数        | 类型   | 必填 | 描述           |
| :---------- | :----- | :--- | :------------- |
| `status`    | `number` | 是   | 用户的主要状态。 |
| `ext_status`| `number` | 是   | 用户的扩展状态。 |

**示例成功响应:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "status": 1,
    "ext_status": 0
  },
  "message": "成功",
  "wording": "操作成功",
  "echo": null
}
```

### 错误处理

通常情况下，API 会通过 `retcode` 字段表示具体的错误信息。非 0 的 `retcode` 表示操作失败，此时 `message` 和 `wording` 字段将提供错误详情。