# API 文档: 获取 RKey

## Endpoint

`POST /nc_get_rkey`

## 描述

该 API 用于获取 Napcat 相关的 RKey 信息。RKey 通常用于特定的操作或身份验证，并具有一定的有效期（TTL）。

## 请求

该 API 是一个 `POST` 请求，请求体为空，不需要发送任何参数。

```json
{}
```

## 响应

成功响应返回一个 JSON 对象，包含状态信息和获取到的 RKey 列表。

**响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "rkey": "your_rkey_value_here",
      "ttl": "expires_in_some_time",
      "time": 1678886400,
      "type": 1
    }
    // 可能包含多个 RKey 对象
  ],
  "message": "",
  "wording": "",
  "echo": null
}
```

**响应字段说明:**

*   `status` (`string`): 响应状态，`"ok"` 表示成功。
*   `retcode` (`number`): 返回码，`0` 通常表示成功。
*   `data` (`array`): RKey 信息的数组。
    *   数组中的每个对象包含以下字段：
        *   `rkey` (`string`): 获取到的 RKey 值。
        *   `ttl` (`string`): RKey 的有效期或过期信息（字符串格式）。
        *   `time` (`number`): RKey 的生成时间或过期时间的 Unix 时间戳（数字格式）。
        *   `type` (`number`): RKey 的类型（数字格式）。
*   `message` (`string`): 错误信息（如果 `status` 不是 `"ok"`）。
*   `wording` (`string`): 补充说明信息。
*   `echo` (`string`, `nullable`): 回显字段，如果请求中带有该字段，则响应中会原样返回。

## 错误处理

如果请求失败，`status` 字段将不是 `"ok"`，`retcode` 将是一个非零值，并且 `message` 或 `wording` 字段可能包含失败原因的详细描述。

## 标签

密钥相关