## API Endpoint: `/get_guild_list`

### 概述

本接口用于获取机器人当前所在的所有频道 (Guild) 的列表。

*   **方法:** `POST`
*   **路径:** `/get_guild_list`

### 功能描述

调用此接口，您可以获取机器人作为成员的所有频道（通常称为服务器或社群）的基本信息列表。这对于需要管理机器人所在的频道、向特定频道发送消息或进行频道相关的统计非常有用。

### 请求参数

此接口**不需要**任何请求参数。

### 响应

#### 成功响应 (状态码: 200)

成功调用后，接口将返回一个 JSON 对象，其中包含机器人所在频道的列表。列表中的每个元素代表一个频道，包含其标识符和名称。

*   **Content-Type:** `application/json`
*   **响应体 Schema:**

```json
[
  {
    "guild_id": "string", // 频道 (Guild) 的唯一标识符
    "guild_name": "string" // 频道 (Guild) 的名称
  }
  // ... 更多频道对象
]
```

*   **字段说明:**
    *   `guild_id`: 字符串，表示频道的唯一ID。
    *   `guild_name`: 字符串，表示频道的名称。

#### 错误响应

（文档中未详细说明具体的错误响应，通常可能包括认证失败、内部服务器错误等，具体请参考API错误码列表或实际测试）

### 示例

#### 请求示例

```http
POST /get_guild_list HTTP/1.1
Host: your_api_host
Content-Length: 0
```

#### 响应示例 (成功)

```json
[
  {
    "guild_id": "123456789",
    "guild_name": "机器人测试服务器"
  },
  {
    "guild_id": "987654321",
    "guild_name": "Napcat 社区"
  }
]
```