# 获取群过滤系统消息

**Endpoint:** `POST /get_group_ignored_notifies`

**描述:**

该API用于获取当前账号收到的、但未被处理的群相关的系统消息，包括入群申请和被邀请入群的请求。

**请求参数:**

该API无需请求参数。

**请求体:**

请求体为空。

**响应:**

成功时返回包含系统消息列表的JSON对象。

| 字段名    | 类型   | 说明                                      |
| :-------- | :----- | :---------------------------------------- |
| status    | string | 状态，固定为 "ok"                         |
| retcode   | number | 返回码                                    |
| data      | object | 响应数据本体                              |
| message   | string | 错误信息 (成功时可能为空)                 |
| wording   | string | 友好提示信息 (成功时可能为空)             |
| echo      | string | 用户设置的 echo 字符串（如果设置了）      |

**`data` 字段说明:**

| 字段名          | 类型          | 说明                 |
| :-------------- | :------------ | :------------------- |
| join_requests   | array<object> | 入群申请列表         |
| InvitedRequest  | array<object> | 被邀请入群请求列表   |

**系统信息对象 (`join_requests` 和 `InvitedRequest` 数组中的元素) 说明:**

| 字段名         | 类型    | 说明                                                               |
| :------------- | :------ | :----------------------------------------------------------------- |
| request_id     | number  | 请求ID                                                             |
| invitor_uin    | number  | 邀请人 QQ 号码 (仅在 `InvitedRequest` 中有意义)                    |
| invitor_nick   | string  | 邀请人昵称 (仅在 `InvitedRequest` 中有意义)                        |
| group_id       | number  | 群号                                                               |
| message        | string  | 附加消息/申请理由                                                  |
| group_name     | string  | 群名称                                                             |
| checked        | boolean | 是否已被处理/查看过                                                |
| actor          | number  | 处理者 QQ 号码 (如果 `checked` 为 true，表示谁处理了该请求)        |
| requester_nick | string  | 申请人/被邀请人昵称 (在 `join_requests` 中表示申请人，在 `InvitedRequest` 中表示被邀请人) |

**响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "join_requests": [
      {
        "request_id": 12345,
        "invitor_uin": 0,
        "invitor_nick": "",
        "group_id": 123456789,
        "message": "我想加入群聊",
        "group_name": "测试群",
        "checked": false,
        "actor": 0,
        "requester_nick": "申请人昵称"
      }
    ],
    "InvitedRequest": [
      {
        "request_id": 67890,
        "invitor_uin": 987654321,
        "invitor_nick": "邀请人昵称",
        "group_id": 987654321,
        "message": "邀请你加入群聊",
        "group_name": "另一个群",
        "checked": false,
        "actor": 0,
        "requester_nick": "被邀请人昵称"
      }
    ]
  },
  "message": "",
  "wording": "",
  "echo": null
}
```