## /send_group_msg 发送群消息

该接口用于向指定的QQ群发送消息。当前文档重点说明如何发送**图片**消息。

**Endpoint:**

`POST /send_group_msg`

**请求体 (Request Body):**

请求体使用 `application/json` 格式。

| 参数      | 类型                 | 必须 | 说明                                                                 |
| :-------- | :------------------- | :--- | :------------------------------------------------------------------- |
| `group_id` | `number` 或 `string` | 是   | 要发送消息的群号。                                                   |
| `message` | `array`              | 是   | 消息段数组。当前文档仅详细描述 `image` (图片) 类型的消息段结构。     |

**消息段 (`message`) 结构 (以 `image` 类型为例):**

`message` 字段是一个数组，每个元素代表一个消息段。发送图片消息时，数组中至少包含一个类型为 `image` 的消息段。

类型为 `image` 的消息段结构如下：

```json
{
  "type": "image",
  "data": {
    "file": "...", // 图片文件源
    "summary": "..." // 图片外显，可选
  }
}
```

`data` 字段详情：

| 参数      | 类型     | 必须 | 说明                                                                                                                                                                                                                                                           |
| :-------- | :------- | :--- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `file`    | `string` | 是   | 图片文件源。支持以下格式：<br/>- 本地路径：`file:///path/to/image.jpg` (例如：`file://D:/a.jpg`)<br/>- 网络URL：`http://...` 或 `https://...`<br/>- Base64编码：`base64://...` (去掉 `data:image/png;base64,` 等前缀，仅保留Base64数据部分) |
| `summary` | `string` | 否   | 图片的外显，显示在聊天框内，例如 `[图片]`。默认为 `[图片]`。                                                                                                                                                                                                       |

**响应 (Response):**

成功请求返回状态码 `200`。

响应体使用 `application/json` 格式。

| 参数        | 类型     | 说明                                                                    |
| :---------- | :------- | :---------------------------------------------------------------------- |
| `status`    | `string` | 状态，固定为 `