## API: 发送私聊文本

*   **Endpoint:** `/send_private_msg`
*   **Method:** `POST`
*   **Tag:** `消息相关/发送私聊消息`

### 描述

该API用于向指定用户发送私聊文本消息。

### 请求体 (Request Body)

请求体必须是一个JSON对象，包含以下字段：

| 字段名    | 类型                                       | 必需 | 描述                                                                 |
| :-------- | :----------------------------------------- | :--- | :------------------------------------------------------------------- |
| `user_id` | `number` 或 `string`                       | 是   | 要发送私聊消息的用户ID。                                               |
| `message` | `array` of `object`                      | 是   | 消息内容数组。每个对象代表一个消息段，目前仅支持`text`类型。                |

`message` 数组中的每个消息段对象结构如下：

| 字段名  | 类型   | 必需 | 描述                     |
| :------ | :----- | :--- | :----------------------- |
| `type`  | `string` | 是   | 消息段类型，固定为`text`。 |
| `data`  | `object` | 是   | 消息段数据。             |

`data` 对象结构如下（当`type`为`text`时）：

| 字段名 | 类型   | 必需 | 描述         |
| :----- | :----- | :--- | :----------- |\n| `text` | `string` | 是   | 文本消息内容。 |

**请求体示例:**

```json
{
  "user_id": "123456",
  "message": [
    {
      "type": "text",
      "data": {
        "text": "napcat"
      }
    }
  ]
}
```

### 响应 (Response)

#### 200 OK

发送成功时返回。

**响应体 Schema:**

| 字段名      | 类型        | 必需   | 描述         |
| :---------- | :---------- | :----- | :----------- |
| `status`    | `string`    | 是     | 状态，固定为`ok`。 |
| `retcode`   | `number`    | 是     | 返回码。     |
| `data`      | `object`    | 是     | 响应数据。   |
| `message`   | `string`    | 是     | 消息。       |
| `wording`   | `string`    | 是     | 提示信息。   |
| `echo`      | `string` 或 `null` | 是     | 回传字段。   |

`data` 对象结构：

| 字段名       | 类型     | 必需   | 描述     |
| :----------- | :------- | :----- | :------- |
| `message_id` | `number` | 是     | 发送的消息ID。 |

**响应体示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "message_id": 696124706
  },
  "message": "",
  "wording": ""
}
```