## API: `/_get_model_show`

### 概述

此API用于获取当前服务可用的在线机型列表及其相关信息。

### Endpoint

`POST /_get_model_show`

### 标签

账号相关

### 请求体 (Request Body)

请求体应为一个 JSON 对象，包含以下参数：

| 参数名 | 类型   | 是否必须 | 默认值   | 说明         |
| :----- | :----- | :------- | :------- | :----------- |
| model  | string | 必填     | `napcat` | 指定获取的模型类型。|

**示例请求体:**

```json
{
  "model": "napcat"
}
```

### 响应 (Response)

#### 成功响应 (HTTP Status Code: 200)

返回一个 JSON 对象，表示操作成功。响应结构遵循标准的 `result` 格式，并在 `data` 字段中包含机型列表。

**响应体结构:**

| 参数名  | 类型              | 说明                                         |
| :------ | :---------------- | :------------------------------------------- |
| status  | string            | 状态码，成功时固定为 `ok`                    |
| retcode | number            | 返回码                                       |
| data    | array of objects  | 机型列表数组                                 |
| message | string            | 消息                                         |
| wording | string            | 更多描述信息                                 |
| echo    | string or null    | 回显字段，可能为 `null`                      |

**`data` 数组中的对象结构:**

数组中的每个对象代表一个可用的机型，包含 `variants` 字段。

| 参数名   | 类型   | 说明                   |
| :------- | :----- | :--------------------- |
| variants | object | 机型变体信息           |

**`variants` 对象结构:**

`variants` 对象包含机型的详细信息。

| 参数名     | 类型    | 是否必须 | 说明                   |
| :--------- | :------ | :------- | :--------------------- |
| model_show | string  | 必填     | 机型的显示名称         |
| need_pay   | boolean | 必填     | 表示该机型是否需要付费 |

**示例成功响应体:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "variants": {
        "model_show": "型号A",
        "need_pay": false
      }
    },
    {
      "variants": {
        "model_show": "型号B (付费)",
        "need_pay": true
      }
    }
  ],
  "message": "",
  "wording": "获取成功",
  "echo": null
}
```

#### 错误响应

当请求失败时，通常也会返回遵循 `result` 格式的 JSON 对象，但 `status` 字段不会是 `ok`，`retcode` 会是一个表示错误的代码，`message` 和 `wording` 字段会提供错误的详细信息。
