# API: 设置在线机型 (_set_model_show)

## 概述

此API用于设置当前在线QQ的设备机型显示。具体效果取决于Napcat的实现和腾讯协议的支持。

## Endpoint

`POST /_set_model_show`

## 请求

*   **方法:** `POST`
*   **路径:** `/_set_model_show`
*   **请求参数:** 无
*   **请求体:**
    ```json
    {}
    ```
    根据API定义，请求体应为一个空的JSON对象。

## 响应

成功调用会返回标准的Napcat API响应结构。

```json
{
  "status": "ok",
  "retcode": 0, // 或其他表示成功的代码
  "data": null, // 此接口的data字段固定为null
  "message": "", // 成功信息
  "wording": "", // 成功提示（可能与message相同）
  "echo": null // 如果请求携带了echo，此处返回相同的值
}
```

*   `status`: 请求状态，`"ok"` 表示成功。
*   `retcode`: 状态码。`0` 通常表示成功。
*   `data`: 此接口不返回具体数据，固定为 `null`。
*   `message`: 操作结果的简短消息。
*   `wording`: 操作结果的人类友好提示。
*   `echo`: 如果请求时在 URL 中携带了 `echo` 参数，响应中会原样返回。

## 错误处理

遵循标准的Napcat API错误处理机制。如果操作失败，`status` 将不是 `"ok"`，`retcode` 将为非零值，`message` 和 `wording` 将包含错误详情。

## 备注

*   此API的具体效果可能受腾讯协议限制或Napcat实现的影响。
*   调用此API无需特定的参数，其行为是预设的“设置在线机型”操作。
