# 删除好友

**Endpoint:** `/delete_friend`

**方法:** `POST`

**标签:** `账号相关`

**描述:**

此接口用于删除指定好友。

**请求参数 (Request Body):**

请求体应为一个 JSON 对象，包含以下字段：

| 参数名         | 类型          | 必填 | 描述     |
| :------------- | :------------ | :--- | :------- |
| `user_id`      | number 或 string | 否   | 当前操作账号的 QQ 号。 | 
| `friend_id`    | number 或 string | 否   | 需要删除的好友的 QQ 号。 |
| `temp_block`   | boolean       | 是   | 是否拉黑对方。 `true` 表示拉黑，`false` 表示不拉黑。 |
| `temp_both_del`| boolean       | 是   | 是否双向删除。 `true` 表示双向删除，`false` 表示仅删除本地好友关系。 |

*注: `user_id` 和 `friend_id` 在实际使用中通常是必须提供的，尽管 schema 中未 explicitly 标记为 required。*

**响应数据 (Response Body - 状态码 200):**

成功时返回一个 JSON 对象，包含以下字段：

| 参数名    | 类型    | 描述                                     |
| :-------- | :------ | :--------------------------------------- |
| `status`  | string  | 状态码，成功时为 `"ok"`。                 |
| `retcode` | number  | 返回码。                                 |
| `data`    | object  | 业务数据。                               |
| `message` | string  | 消息。                                   |
| `wording` | string  | 提示信息。                               |
| `echo`    | string  | 可选的 Echo 字段，如果请求时携带了则返回。 |

`data` 对象详情：

| 参数名   | 类型   | 描述                                      |
| :------- | :----- | :---------------------------------------- |
| `result` | number | 操作结果码。通常 `0` 表示成功，其他值表示失败。 |
| `errMsg` | string | 错误信息描述。                            |

**示例:**

*(由于 OpenApi 规范中没有提供示例，此处省略示例)*

