# 获取群 @全体成员 剩余次数

该API用于查询指定群聊中，当前登录账号今日剩余的 @全体成员 次数，以及该群今日剩余的 @全体成员 次数。

## Endpoint

`POST /get_group_at_all_remain`

## 请求参数

发送 `application/json` 格式的请求体，包含以下字段：

| 字段名   | 类型   | 描述     | 是否必需 |
| :------- | :----- | :------- | :------- |
| `group_id` | number 或 string | 群号     | 是       |

**请求示例:**

```json
{
  "group_id": 123456789
}
```

## 响应数据

成功时返回 JSON 对象，包含以下字段：

| 字段名                            | 类型    | 描述                                             |
| :-------------------------------- | :------ | :----------------------------------------------- |
| `status`                          | string  | 状态，通常为 `ok`                                  |
| `retcode`                         | number  | 状态码                                           |
| `data`                            | object  | 响应数据体                                       |
| `data.can_at_all`                 | boolean | 当前登录账号在该群是否可以 @全体成员                   |
| `data.remain_at_all_count_for_group` | number  | 该群今日剩余的 @全体成员 次数                        |
| `data.remain_at_all_count_for_uin` | number  | 当前登录账号今日在 *所有* 群中剩余的 @全体成员 总次数    |
| `message`                         | string  | 消息                                             |
| `wording`                         | string  | 补充说明                                         |
| `echo`                            | string 或 null | 用户发送的 `echo` 字段，原样返回，可选             |

**响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "can_at_all": true,
    "remain_at_all_count_for_group": 2,
    "remain_at_all_count_for_uin": 3
  },
  "message": "",
  "wording": "",
  "echo": null
}
```
