# 发送群聊超级表情 (骰子)

## 接口地址

`POST /send_group_msg`

## 接口说明

向指定群聊发送一个超级表情，具体为骰子。

**注意：** 目前此接口只支持发送骰子(`type: 'dice'`)类型的超级表情。

## 请求主体 (Request Body)

请求主体是一个 JSON 对象，包含以下字段：

| 字段名   | 类型                               | 必需 | 说明       |
| :------- | :--------------------------------- | :--- | :--------- |
| `group_id` | `number` 或 `string`               | 是   | 群号       |
| `message`  | `array` of [消息段](#消息段类型-dice) | 是   | 消息内容数组 |

### 消息段类型: `dice`

发送骰子的消息段类型为 `dice`。这是一个消息段对象数组，每个对象代表一个消息段。

| 字段名 | 类型   | 必需 | 说明             |
| :----- | :----- | :--- | :--------------- |
| `type` | `string` | 是   | 消息段类型，固定为 `dice` |
| `data` | `object` | 否   | 消息段参数，该参数暂不可用，但为了兼容性，仍需包含此字段或发送空数组  |

**`data` 字段 (当 `type` 为 `dice` 时):**

| 字段名 | 类型   | 必需 | 说明                                      |
| :----- | :----- | :--- | :---------------------------------------- |
| `result` | `number` | 否   | 骰子点数 (1-6)。**注意：** 该参数目前暂不可用，即使指定，发送的骰子点数也是随机的。 |

#### 请求示例 (发送一个骰子):

```json
{
  "group_id": 123456,
  "message": [
    {
      "type": "dice"
    }
  ]
}
```

或者 (包含空的data对象):

```json
{
  "group_id": 123456,
  "message": [
    {
      "type": "dice",
      "data": {}
    }
  ]
}
```

## 响应主体 (Response Body)

响应是一个 JSON 对象，包含以下字段：

| 字段名  | 类型     | 说明     |
| :------ | :------- | :------- |
| `status` | `string` | 状态     |
| `retcode`| `number` | 返回码   |
| `data`  | `object` | 响应数据 |
| `message`| `string` | 错误信息 |
| `wording`| `string` | 错误描述 |

**`data` 字段:**

| 字段名     | 类型   | 说明       |
| :--------- | :----- | :--------- |
| `message_id` | `number` | 发送成功后返回的消息 ID |

#### 响应示例:

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "message_id": 696124706
  },
  "message": "",
  "wording": ""
}
```