# 发送群聊超级表情：猜拳

## API Endpoint

`POST /send_group_msg`

## 功能描述

通过此API，您可以向指定的QQ群发送一个超级表情，具体为“猜拳”超级表情。

注意：此API的定义专门用于发送猜拳超级表情，通用的发送群消息API可能支持更多消息类型。

## 请求参数

请求体使用 `application/json` 格式。

| 参数名   | 类型           | 必需 | 描述                                                                 |
| :------- | :------------- | :--- | :------------------------------------------------------------------- |
| `group_id` | `number` 或 `string` | 是   | 目标群号。                                                           |
| `message`| `array` | 是 | 消息内容。对于发送“猜拳”超级表情，此数组应包含一个类型为 `rps` 的消息对象。 |

### `message` 参数详情

`message` 数组在此API中应包含一个对象，其结构如下：

| 参数名 | 类型     | 必需 | 描述         |
| :----- | :------- | :--- | :----------- |
| `type` | `string` | 是   | 消息类型。在此API中，固定为 `rps`。 |

### 请求示例

```json
{
  "group_id": 123456789,
  "message": [
    {
      "type": "rps"
    }
  ]
}
```

## 响应

### 成功响应 (状态码: 200)

请求成功时，API将返回如下结构的 JSON 对象：

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "message_id": 696124706
  },
  "message": "",
  "wording": ""
}
```

| 参数名     | 类型     | 必需 | 描述                                       |
| :--------- | :------- | :--- | :----------------------------------------- |
| `status`   | `string` | 是   | 调用状态，`ok` 表示成功。                   |
| `retcode`  | `number` | 是   | 返回码，0 表示成功，其他表示失败（具体参照 NapcatAPI 返回码表）。 |
| `data`     | `object` | 是   | 响应数据体。                               |
| `message`  | `string` | 是   | 错误信息（`status` 为 `failed` 时出现）。    |
| `wording`  | `string` | 是   | 错误信息的友好提示（`status` 为 `failed` 时出现）。 |

### `data` 对象详情

| 参数名       | 类型     | 必需 | 描述          |
| :----------- | :------- | :--- | :------------ |
| `message_id` | `number` | 是   | 发送成功的消息ID。 |

## 错误处理

当 `retcode` 不为 0 时，表示请求失败。此时可以查看 `message` 和 `wording` 字段获取具体的错误信息。

请参考 NapcatAPI 的通用返回码表以了解更多错误详情。
