# API 文档

## 发送私聊超级表情 猜拳

*   **Endpoint:** `/send_private_msg`
*   **Method:** `POST`
*   **说明:** 发送私聊消息，包含指定的超级表情（根据接口名称和摘要应为猜拳）。
*   **标签:** 消息相关/发送私聊消息

### 请求参数

此 API 通过请求体发送参数。

**请求体 (Request Body):**

*   **Content-Type:** `application/json`

| 参数名    | 类型                                     | 描述                                                                                                                                                                                             | 必填 |
| :-------- | :--------------------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :--- |
| `group_id` | `number` 或 `string` (`oneOf` 定义)      | **注意:** 根据接口名称和用途 (发送私聊消息)，此处按理应为 `user_id` (接收消息的用户 QQ 号)。然而，OpenAPI Schema 中定义为 `group_id`。请根据实际情况判断应传入 `user_id` 还是 `group_id`。 | 是   |
| `message` | `array` (对象数组)                       | 消息内容，由多个消息段组成。目前此接口（根据schema）仅支持一个消息段用于发送超级表情。                                                                                                              | 是   |

**`message` 数组中的消息段对象结构:**

| 参数名 | 类型   | 描述                                                                                                                                                                                                                          | 必填 |
| :----- | :----- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :--- |
| `type` | `string` | 消息段类型。OpenAPI Schema 中定义为 `dice` (骰子)。 **注意:** 根据接口名称和摘要 (`猜拳`) 及请求示例，此处实际使用时可能应为 `rps`。请根据实际情况判断。                                                                            | 是   |
| `data` | `object` | 消息段数据。 **注意:** OpenAPI Schema 中定义了此字段包含 `result` (number, 枚举 1-6)，并标注为 "该参数暂不可用"。根据 `type` 为 `dice` 的定义，这可能代表一个骰子结果。若实际使用 `type: 'rps'`，此 `data` 字段可能结构不同或不需要。 | 否   |

**`data` 对象结构 (当 `type` 为 `dice` 时，尽管标记为暂不可用):**

| 参数名   | 类型     | 描述                                                                | 必填 |
| :------- | :------- | :------------------------------------------------------------------ | :--- |
| `result` | `number` | 骰子结果，枚举值：1, 2, 3, 4, 5, 6。 **注意:** 标记为 "该参数暂不可用"。 | 是   |

### 请求示例

```json
{
  "user_id": 123456,
  "message": [
    {
      "type": "rps"
    }
  ]
}
```
**注意:** 此示例中的 `user_id` 和 `message` 结构 (`type: "rps"`) 与 OpenAPI Schema 中定义的 `group_id` 和 `message` 结构 (`type: "dice"`) 存在差异。请以实际运行环境为准。

### 响应

#### 成功响应 (状态码: 200)

| 参数名   | 类型   | 描述       |
| :------- | :----- | :--------- |
| `status` | `string` | 状态码，固定为 `"ok"` |
| `retcode`| `number` | 返回码     |
| `data`   | `object` | 响应数据   |
| `message`| `string` | 消息       |
| `wording`| `string` | 提示信息   |

**`data` 对象结构:**

| 参数名       | 类型     | 描述     |
| :----------- | :------- | :------- |
| `message_id` | `number` | 发送成功的消息 ID |

**成功响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "message_id": 696124706
  },
  "message": "",
  "wording": ""
}
```

### 错误响应

（OpenAPI Schema 中未详细定义错误响应，请参考API通用错误处理）
