## API: 发送群聊音乐卡片

- **Endpoint:** `/send_group_msg`
- **Method:** `POST`
- **Summary:** 发送群聊音乐卡片消息。
- **Tags:** 消息相关/发送群聊消息

根据提供的群号，向指定群聊发送一条音乐卡片消息。

### 请求体 (Request Body)

请求体是一个 JSON 对象，包含以下必需字段：

| 字段名   | 类型            | 描述                                  | 必须 |
| :------- | :-------------- | :------------------------------------ | :--- |
| `group_id` | `number` 或 `string` | 群号。                                | 是   |
| `message`| `array<对象>`  | 消息内容，**必须是包含一个音乐卡片消息段的数组**。 | 是   |

`message` 字段中的对象是音乐卡片消息段，结构如下：

| 字段名 | 类型   | 描述                                   | 必须 |
| :----- | :----- | :------------------------------------- | :--- |
| `type` | `string` | 消息段类型，固定为 `"music"`。             | 是   |
| `data` | `对象`   | 音乐卡片的数据详情。                       | 是   |

`data` 对象结构如下：

| 字段名 | 类型   | 描述         | 可选值      | 必须 |
| :----- | :----- | :----------- | :---------- | :--- |
| `type` | `string` | 音乐平台类型 | `"163"` (网易云音乐), `"qq"` (QQ音乐) | 是   |
| `id`   | `string` | 音乐ID。     |             | 是   |

**请求体示例:**

```json
{
  "group_id": 123456789,
  "message": [
    {
      "type": "music",
      "data": {
        "type": "qq",
        "id": "001vjP7o2d2l9Q"
      }
    }
  ]
}
```

### 响应 (Response)

成功响应返回一个 JSON 对象，包含以下字段：

| 字段名    | 类型    | 描述             | 必须 |
| :-------- | :------ | :--------------- | :--- |
| `status`  | `string` | 状态，成功时为 `"ok"`。 | 是   |
| `retcode` | `number` | 返回码。         | 是   |
| `data`    | `对象`   | 数据详情。       | 是   |
| `message` | `string` | 错误信息（通常在 `status` 非 `ok` 时有意义）。 | 是   |
| `wording` | `string` | 错误信息的友好提示。 | 是   |
| `echo`    | `string` | 回显字段，与请求中的 `echo` 相同。 | 是   |

`data` 对象结构如下：

| 字段名     | 类型    | 描述     | 必须 |
| :--------- | :------ | :------- | :--- |
| `message_id` | `number` | 发送的消息ID。 | 是   |

**成功响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "message_id": 123456
  },
  "message": "",
  "wording": "",
  "echo": null
}
```
