## `/send_group_msg` 发送群聊自定义音乐卡片

### **POST**

### **概述**

该API用于向指定的QQ群发送一个自定义的音乐分享卡片。

### **描述**

通过该接口，你可以向指定的QQ群发送一个包含自定义链接、音频、标题和图片的音乐卡片消息。请求需要提供目标群的群号以及音乐卡片所需的所有详细信息。

### **参数**

#### **Request Body**

请求体使用 `application/json` 格式。

| 参数名     | 类型          | 必需 | 描述                                                                 |
| ---------- | ------------- | ---- | -------------------------------------------------------------------- |
| `group_id` | `number` 或 `string` | 是   | 目标群的群号。                                                       |
| `message`  | `array<object>` | 是   | 消息内容。发送自定义音乐卡片时，此数组应只包含一个类型为 `music` 的消息段。 |

##### `message` 数组中的元素 (`type: "music"`) 结构：

| 参数名   | 类型   | 必需 | 描述           |
| -------- | ------ | ---- | -------------- |
| `type`   | `string` | 是   | 固定为 `"music"` |
| `data`   | `object` | 是   | 音乐卡片数据   |

##### `data` 对象的结构 (`type: "custom"`):

| 参数名  | 类型   | 必需 | 描述                                  |
| ------- | ------ | ---- | ------------------------------------- |
| `type`  | `string` | 是   | 音乐卡片类型，固定为 `"custom"`       |
| `url`   | `string` | 是   | 点击音乐卡片跳转的链接 URL。            |
| `audio` | `string` | 是   | 音乐文件或流媒体的 URL。                |
| `title` | `string` | 是   | 音乐卡片的标题。                      |
| `image` | `string` | 是   | 音乐卡片的封面图片 URL。请使用可访问的链接。 |

#### **请求示例**

```json
{
  "group_id": 123456789,
  "message": [
    {
      "type": "music",
      "data": {
        "type": "custom",
        "url": "http://example.com/music/link/123",
        "audio": "http://example.com/music/file/song.mp3",
        "title": "一首很好听的歌",
        "image": "http://example.com/music/cover/song.jpg"
      }
    }
  ]
}
```

### **响应**

#### **`200 OK`**

发送成功。

##### **响应体结构**

| 参数名      | 类型          | 必需 | 描述             |
| ----------- | ------------- | ---- | ---------------- |
| `status`    | `string`      | 是   | 状态码，固定为 `"ok"` |
| `retcode`   | `number`      | 是   | 返回码           |
| `data`      | `object`      | 是   | 响应数据         |
| `message`   | `string`      | 是   | 提示信息         |
| `wording`   | `string`      | 是   | 详细提示信息     |
| `echo`      | `string` 或 `null` | 是   | 请求时携带的 echo 字段 |

##### `data` 对象结构:

| 参数名       | 类型   | 必需 | 描述         |
| ------------ | ------ | ---- | ------------ |
| `message_id` | `number` | 是   | 已发送消息的ID |

##### **响应示例**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "message_id": 12345
  },
  "message": "",
  "wording": "",
  "echo": "user_echo_data"
}
```
