## API: 发送私聊消息

### Endpoint
`POST /send_private_msg`

### 说明
发送私聊消息给指定用户。目前该接口仅支持发送 `music` 音乐卡片消息段。

### 请求参数
请求体是一个 JSON 对象，包含以下字段：

| 参数名   | 类型           | 描述                         | 必须   |
| :------- | :------------- | :--------------------------- | :----- |
| `user_id`| `number` 或 `string` | 接收消息的用户 QQ 号         | 是     |
| `message`| `array`        | 消息内容，`CqCode` 消息段数组 | 是     |

`message` 数组中的每个元素代表一个消息段。对于音乐卡片消息，消息段结构如下：

| 参数名      | 类型     | 描述                                       | 必须   |
| :---------- | :------- | :----------------------------------------- | :----- |
| `type`      | `string` | 消息段类型，固定为 `"music"`               | 是     |
| `data`      | `object` | 音乐卡片数据                               | 是     |
| `data.type` | `string` | 音乐平台类型，可选值 `"163"` (网易云) 或 `"qq"` (QQ音乐) | 是     |
| `data.id`   | `string` | 音乐的 ID                                  | 是     |

### 响应数据

标准响应结构：

| 参数名  | 类型            | 描述                 |
| :------ | :-------------- | :------------------- |
| `status`| `string`        | 状态码，如 `"ok"`    |
| `retcode`| `number`        | 返回码               |
| `message`| `string`        | 错误信息             |
| `wording`| `string`        | 错误信息的友好描述   |
| `echo`  | `string` 或 `null`| echo 回调参数，原样返回|

`data` 字段是一个 JSON 对象，包含以下字段：

| 参数名      | 类型   | 描述             | 必须   |
| :---------- | :----- | :--------------- | :----- |
| `message_id`| `number` | 发送成功后返回的消息 ID | 是     |

### 示例

**请求示例:**

```json
{
  "user_id": 123456789,
  "message": [
    {
      "type": "music",
      "data": {
        "type": "qq",
        "id": "1234567890"
      }
    }
  ]
}
```

**响应示例 (成功):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "message_id": 696124706
  },
  "message": "",
  "wording": ""
}
```