## `/get_ai_characters`

### **获取AI语音人物**

**Endpoint:** `POST /get_ai_characters`

**标签:** 个人操作

**说明:**

此API用于获取可用的AI语音人物列表。列表可能按照类型进行分组，每个语音人物包含其ID、名称和试听链接。

**请求参数 (Request Body - `application/json`):**

| 参数名    | 类型          | 是否必须 | 说明                               |
| :-------- | :------------ | :------- | :--------------------------------- |
| `group_id`| `number` 或 `string` | 是       | 进行操作的群号。                    |
| `chat_type` | `number` 或 `string` | 否       | 聊天类型 (具体含义可能需要参考其他文档，此处可选)。 |

**响应 (Response `200`):**

`status`: `string` - 执行状态，`ok` 表示成功。
`retcode`: `number` - 返回码。
`message`: `string` - 状态消息。
`wording`: `string` - 状态说明。
`echo`: `string` 或 `null` - 透传的 echo 字段，如果请求时指定了的话。
`data`: `array` - AI语音人物列表，可能按类型分组。

**`data` 字段结构:**

`data` 字段是一个数组，数组的每个元素是一个对象，表示一个类型组。

| 参数名     | 类型   | 说明       |
| :--------- | :----- | :--------- |
| `type`     | `string` | 类型名称。   |
| `characters` | `array`  | 该类型下的人物列表。 |

`characters` 字段是一个数组，数组的每个元素是一个对象，表示一个具体的语音人物。

| 参数名           | 类型   | 是否必须 | 说明     |
| :--------------- | :----- | :------- | :------- |
| `character_id`   | `string` | 是       | 人物唯一ID。 |
| `character_name` | `string` | 是       | 人物名字。   |
| `preview_url`    | `string` | 是       | 试听链接。   |

**示例响应:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "type": "标准发音",
      "characters": [
        {
          "character_id": "char_001",
          "character_name": "小明",
          "preview_url": "http://example.com/audio/xm.mp3"
        },
        {
          "character_id": "char_002",
          "character_name": "小红",
          "preview_url": "http://example.com/audio/xh.mp3"
        }
      ]
    },
    {
       "type": "特色音色",
       "characters": [
         {
           "character_id": "char_003",
           "character_name": "大白",
           "preview_url": "http://example.com/audio/db.mp3"
         }
       ]
    }
  ],
  "message": "成功",
  "wording": "操作成功",
  "echo": null
}
```