# API 文档：发送群AI语音

## Endpoint

`/send_group_ai_record`

## 方法

`POST`

## 描述

向指定的群组发送一段由AI语音生成的语音消息。

## 请求参数

### Request Body

| 参数名    | 类型          | 必填 | 描述           |
| :-------- | :------------ | :--- | :------------- |
| `group_id`  | number 或 string | 是   | 群号           |
| `character` | string        | 是   | AI语音角色ID     |
| `text`      | string        | 是   | 需要转换为语音的文本 |

**示例 Request Body:**

```json
{
  "group_id": 123456789,
  "character": "some_character_id",
  "text": "你好，这是一条测试消息"
}
```

## 响应

### 状态码 200: 成功

表示请求成功，消息已发送（或进入发送队列）。

**Response Body Schema:**

```json
{
  "status": "string",
  "retcode": "number",
  "data": {
    "message_id": "string"
  },
  "message": "string",
  "wording": "string",
  "echo": "string 或 null"
}
```

**Response Body 参数:**

| 参数名       | 类型          | 描述         |
| :----------- | :------------ | :----------- |
| `status`     | string        | 状态，通常为 `ok` |
| `retcode`    | number        | 返回码       |
| `data`       | object        | 响应数据对象   |
| `data.message_id` | string        | 发送成功的消息ID |
| `message`    | string        | 错误信息     |
| `wording`    | string        | 错误提示信息   |
| `echo`       | string 或 null | 透传的 echo 数据 |

**示例 Response Body:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "message_id": "-123456789"
  },
  "message": "",
  "wording": "",
  "echo": null
}
```