## API: 获取AI语音

根据提供的文本和角色生成AI语音，并返回语音链接。

*   **Endpoint:** `/get_ai_record`
*   **Method:** `POST`
*   **Tag:** 个人操作

### 请求参数 (Request Body)

请求主体是一个 JSON 对象，包含以下属性：

| 参数名    | 类型             | 描述       | 是否必须 |
| :-------- | :--------------- | :--------- | :------- |
| group_id  | number 或 string | 群组ID     | 是       |
| character | string           | 角色ID     | 是       |
| text      | string           | 需要转为语音的文本 | 是       |

**示例:**

```json
{
  "group_id": 123456789,
  "character": "character_id",
  "text": "你好，这是一个测试文本。"
}
```

### 响应结构 (Response)

成功时（HTTP 状态码 200）返回一个 JSON 对象，表示操作结果。结构如下：

| 参数名  | 类型    | 描述                 | 示例      |
| :------ | :------ | :------------------- | :-------- |
| status  | string  | 状态，通常为 "ok"   | "ok"      |
| retcode | number  | 返回码，0表示成功    | 0         |
| data    | string  | **生成的语音链接**   | "http://..." |
| message | string  | 状态信息             | "成功"    |
| wording | string  | 状态的友好文本描述   | "成功"    |
| echo    | string  | 可选，用于标识请求 | null      |

**成功响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": "https://your_audio_link.mp3",
  "message": "成功",
  "wording": "操作成功",
  "echo": null
}
```

**错误响应:**

如果发生错误，`status` 可能为 "failed"，`retcode` 为非零值，`message` 和 `wording` 会提供错误详情。`data` 字段通常为 null 或空对象。
