## API: `/send_packet`

### 总结

发送自定义组包

### 方法

`POST`

### 标签

系统操作

### 描述

此API允许用户发送自定义的、未经过Napcat标准处理的原始数据包。它适用于需要进行底层协议交互、发送特定格式数据或进行高级调试的场景。使用此API需要对底层通信协议有深入了解，因为它绕过了Napcat提供的高级抽象和安全性检查。

### 请求

*   **Endpoint:** `/send_packet`
*   **方法:** `POST`
*   **请求体 (Request Body):**
    *   **描述:** 根据提供的OpenAPI规范，请求体的结构未详细定义。然而，从API名称'发送自定义组包'来看，请求体应该包含要发送的自定义数据包内容。具体的数据格式（例如，原始字节、Base64编码字符串或包含特定字段的JSON对象）在规范中未指明。请查阅具体的Napcat实现文档或代码以确定预期的格式。
    *   **Schema:** 规范中的请求体schema为空对象 `{}`。

### 响应

*   **状态码 200 (成功):**
    *   **描述:** 表示请求已成功接收。根据提供的OpenAPI规范，响应体的结构未详细定义，schema为空对象 `{}`。
    *   **响应体:** 实际响应可能包含一个简单的成功指示或一个空的JSON对象。具体的响应内容取决于Napcat的实现。

### 注意事项

*   这是一个底层API，使用不当可能导致不可预测的行为或系统不稳定。
*   使用此API需要对目标协议有深入了解。
*   提供的OpenAPI规范中，请求体和响应体的具体格式未定义，使用者需参考Napcat的具体实现或补充文档。
