# 发送戳一戳

## API 概览

*   **Endpoint:** `/send_poke`
*   **方法:** `POST`
*   **描述:** 向指定用户发送一个“戳一戳”消息，可以在群聊或私聊中进行。
*   **标签:** 账号相关

## 请求参数

该 API 通过 POST 请求体接收 JSON 数据。

| 参数名   | 类型          | 是否必需 | 描述       |
| :------- | :------------ | :------- | :--------- |
| `user_id` | `number` 或 `string` | 是       | 目标用户的 QQ 号码。 |
| `group_id`| `number` 或 `string` | 否       | 目标群的群号。如果不填写此参数，将执行私聊戳。 |

**请求体示例:**

```json
{
  "user_id": 1129317309,
  "group_id": 790514019
}
```
或私聊戳：
```json
{
  "user_id": 1129317309
}
```

## 响应

API 响应遵循标准的 Napcat API 响应格式。

### 状态码 200: 成功

表示戳一戳发送成功。

**响应体 schema:**

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "const": "ok"
    },
    "retcode": {
      "type": "number",
      "description": "响应码，0通常表示成功"
    },
    "data": {
      "type": "null",
      "description": "此接口成功时不返回特定数据，为null"
    },
    "message": {
      "type": "string",
      "description": "错误消息，成功时可能为空或'ok'"
    },
    "wording": {
      "type": "string",
      "description": "错误消息的友好提示，成功时可能为空或'ok'"
    },
    "echo": {
      "type": "string",
      "nullable": true,
      "description": "发送请求时附带的 echo 数据"
    }
  },
  "required": [
    "status",
    "retcode",
    "data",
    "message",
    "wording",
    "echo"
  ]
}
```

**响应示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": "your_echo_data_here" 
}
```

## 错误处理

如果发生错误（例如 `user_id` 不存在或机器人没有发送戳一戳的权限），`status` 将为 `failed`，`retcode` 将为非零值，并且 `message` 和 `wording` 字段将提供详细的错误信息。
