## 获取私聊文件链接

*   **Endpoint:** `/get_private_file_url`
*   **Method:** `POST`
*   **说明:** 获取私聊文件（例如私聊中接收到的文件）的下载链接。

### 请求参数

该接口通过 POST 请求，请求体为 JSON 格式。

| 参数名   | 类型     | 必填 | 说明         |
| :------- | :------- | :--- | :----------- |
| `file_id` | `string` | 是   | 私聊文件ID。 |

### 响应数据

该接口返回 JSON 格式数据，包含以下字段：

| 参数名    | 类型     | 说明                                     |
| :-------- | :------- | :--------------------------------------- |
| `status`  | `string` | 响应状态，通常为 `ok`。                  |
| `retcode` | `number` | 状态码。                                 |
| `data`    | `object` | 响应数据。                               |
| `message` | `string` | 错误信息（成功时通常为空字符串）。       |
| `wording` | `string` | 更详细的错误描述（成功时通常为空字符串）。 |
| `echo`    | `string` | 可能为空，用于匹配请求的 echo 字段。       |

`data` 字段是一个对象，包含以下字段：

| 参数名 | 类型     | 说明       |
| :----- | :------- | :--------- |
| `url`  | `string` | 文件的下载链接。 |

### 示例

**请求示例:**

```json
{
  "file_id": "your_file_id_here"
}
```

**响应示例 (成功):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "url": "http://example.com/path/to/your/file"
  },
  "message": "",
  "wording": "",
  "echo": ""
}
```

**响应示例 (失败):**

```json
{
  "status": "failed",
  "retcode": 100,
  "data": null,
  "message": "文件不存在",
  "wording": "指定的文件ID无效或文件已过期",
  "echo": ""
}
```

### 注意事项

*   `file_id` 通常可以通过接收到私聊文件消息时获得。具体获取方式请参考消息接收相关文档。
*   获取到的链接可能存在有效期，请及时使用。
*   该接口仅适用于私聊文件。
