# API: /click_inline_keyboard_button - 点击按钮

## 描述

此接口用于模拟用户点击 QQ 消息中的内联键盘按钮。

## 请求

- **URL:** `/click_inline_keyboard_button`
- **方法:** `POST`
- **标签:** 其他/接口

### 请求体 (JSON)

| 参数          | 类型       | 必需 | 描述           |
|---------------|------------|------|----------------|
| `group_id`    | number 或 string | 是   | 群号           |
| `bot_appid`   | string     | 是   | Bot 的 App ID  |
| `button_id`   | string     | 是   | 要点击的按钮 ID|
| `callback_data` | string     | 是   | 按钮携带的 callback 数据 |
| `msg_seq`     | string     | 是   | 包含按钮的消息的 sequence |

## 响应

该接口遵循标准的 Napcat API 响应结构。

### 响应体 (JSON)

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {}, // 通常为空对象
  "message": "成功",
  "wording": "成功",
  "echo": null // 或包含请求中的 echo 字段
}
```

- **`status`**: `string` - 表示请求是否成功，固定为 `"ok"`。
- **`retcode`**: `number` - 返回码，0 表示成功，非 0 表示失败，具体含义请参考全局错误码。
- **`data`**: `object` - 接口返回的具体数据。对于此接口，成功时通常为空对象 `{}`。
- **`message`**: `string` - 操作结果的简短消息。
- **`wording`**: `string` - 更加详细或用户友好的操作结果描述。
- **`echo`**: `string` 或 `null` - 如果请求中包含 `echo` 字段，则会在响应中原样返回。

## 错误处理

接口调用失败时，`status` 字段仍可能为 `"ok"` (取决于具体实现，但通常失败会体现在 `retcode` 非 0)。请始终检查 `retcode` 字段来确定操作是否真正成功，并根据 `message` 或 `wording` 字段获取失败详情。
