## API: 获取单向好友列表

### Endpoint

`/get_unidirectional_friend_list`

### 描述

该API用于获取当前登录账号的单向好友列表。

### 请求

- **方法:** `POST`
- **路径:** `/get_unidirectional_friend_list`
- **参数:** 无
- **请求体:** 空对象 `{}`

### 响应

成功时返回一个JSON对象，包含单向好友列表。

```json
{
  "status": "ok",
  "retcode": 0,
  "data": [
    {
      "uin": 12345678,
      "uid": "u_abcdef1234567890",
      "nick_name": "好友A",
      "age": 20,
      "source": "来源"
    },
    // ... 更多好友对象
  ],
  "message": "OK",
  "wording": "",
  "echo": "用户自定义字段"
}
```

#### 响应字段说明

| 字段名    | 类型     | 说明                                   |
| :-------- | :------- | :------------------------------------- |
| `status`  | `string` | 状态，`ok` 表示成功                      |
| `retcode` | `number` | 返回码，`0` 通常表示成功                 |
| `data`    | `array`  | 单向好友列表，每个元素是一个好友对象     |
| `message` | `string` | 消息                                   |
| `wording` | `string` | 详细消息 (可能为空)                      |
| `echo`    | `string` | 用户在请求中携带的 echo 字段 (可选)      |

#### Data 数组元素 (好友对象) 说明

`data` 字段是一个数组，数组中的每个元素代表一个单向好友，其结构如下：

| 字段名      | 类型     | 说明                               |
| :---------- | :------- | :--------------------------------- |
| `uin`       | `number` | 好友的QQ号 (long long)               |
| `uid`       | `string` | 好友的内部唯一标识符                  |
| `nick_name` | `string` | 好友的昵称                          |
| `age`       | `number` | 好友的年龄                          |
| `source`    | `string` | 添加好友的来源，例如 '搜索群号' 等 |