# 设置自定义在线状态

## 描述

该API用于设置QQ机器人的自定义在线状态。你可以通过指定表情ID、表情类型和描述文本来个性化机器人的在线状态显示。

## Endpoint

`POST /set_diy_online_status`

## 请求参数

该API通过请求体 (Request Body) 接收参数，数据格式为 `application/json`。

| 参数名    | 类型           | 必须 | 描述                                                               |
| --------- | -------------- | ---- | ------------------------------------------------------------------ |
| `face_id` | `number` 或 `string` | 是   | 表情ID。这是设置自定义状态时必须指定的表情标识符。具体ID列表可能需要额外查找或尝试。 |
| `face_type` | `number` 或 `string` | 否   | 表情类型ID。通常默认为1。具体类型列表可能需要额外查找或尝试。                     |
| `wording` | `string`       | 否   | 自定义状态的描述文本，最多支持20个字符。                                   |

**请求体示例:**

```json
{
  "face_id": 10,
  "face_type": 1,
  "wording": "欸嘿"
}
```

## 响应

### 成功响应 (HTTP 200)

设置成功时，API将返回如下结构的数据：

| 参数名    | 类型     | 描述                                       |
| --------- | -------- | ------------------------------------------ |
| `status`  | `string` | 状态码，`ok` 表示成功。                      |
| `retcode` | `number` | 返回码，`0` 通常表示成功。                   |
| `data`    | `string` | 成功时返回的数据，通常为空字符串或包含简短信息。   |
| `message` | `string` | 错误信息，`status` 不为 `ok` 时有效。      |
| `wording` | `string` | 详细信息或提示。                           |
| `echo`    | `string` | 可选，请求时携带的 echo 字段，请求原样返回。 |

**响应体示例:**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": "",
  "message": "",
  "wording": "设置在线状态成功",
  "echo": null
}
```

### 可能的错误响应

如果设置失败，`status` 可能为 `failed`，`retcode` 为非零值，并在 `message` 或 `wording` 字段中提供失败原因。
