## API Endpoint: `/get_rkey` - 获取rkey

### 描述

此接口用于获取当前机器人账号相关的密钥信息，例如`skey`等。

### 基本信息

*   **URL:** `/get_rkey`
*   **方法:** `POST`
*   **标签:** 密钥相关

### 请求

*   **请求体:**
    该接口的请求体为空，发送一个空的JSON对象即可。

    ```json
    {}
    ```

*   **参数:**
    该接口没有URL参数或查询参数。

### 响应

#### 成功响应 (状态码: 200)

当请求成功时，将返回包含密钥信息的JSON对象。`data` 字段是一个数组，每个元素代表一种类型的密钥。

**响应体示例:**

```json
{
    "status": "ok",
    "retcode": 0,
    "data": [
        {
            "type": "skey",
            "rkey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
            "created_at": 1678886400,
            "ttl": "7d"
        }
        // 可能包含其他类型的密钥
    ],
    "message": "OK",
    "wording": "成功",
    "echo": null // 或请求中的 echo 值
}
```

**响应体字段说明:**

| 字段      | 类型    | 必选 | 说明                                 |
| :-------- | :------ | :--- | :----------------------------------- |
| `status`  | string  | 是   | 状态码，成功时为 `"ok"`。          |
| `retcode` | number  | 是   | 返回码，0 表示成功。                 |
| `data`    | array   | 是   | 密钥信息列表。                       |
| `message` | string  | 是   | 响应消息。                           |
| `wording` | string  | 是   | 响应消息（可能为中文描述）。         |
| `echo`    | string  | 否   | 如果请求中携带了 `echo` 字段，则原样返回。 |

**`data` 数组元素字段说明:**

`data` 数组中的每个对象都包含以下字段：

| 字段         | 类型    | 必选 | 说明                                      |
| :----------- | :------ | :--- | :---------------------------------------- |
| `type`       | string  | 是   | 密钥类型，例如 `"skey"`。                   |
| `rkey`       | string  | 是   | 密钥的实际值。                            |
| `created_at` | number  | 是   | 密钥创建时间戳（秒）。                      |
| `ttl`        | string  | 是   | 密钥有效期或剩余时间描述（例如 `"7d"`）。 |

#### 错误响应

根据基础响应结构 (`#/components/schemas/result`)，当请求失败时，`status` 字段可能不是 `"ok"`，`retcode` 将是非零值，并且 `message` 和 `wording` 字段将提供错误详情。具体的错误码和消息取决于实际的错误原因，例如权限不足、内部错误等，但本接口文档中未详细列出具体的错误情况。