# 获取rkey服务 (Get rkey service)

## API Endpoint

`POST /get_rkey_server`

## 描述

此API用于获取用于加密/解密消息的rkey服务信息，包括私聊rkey、群聊rkey、过期时间以及rkey的名称。

## 请求 (Request)

*   **方法**: `POST`
*   **路径**: `/get_rkey_server`
*   **参数**: 无
*   **请求体**: 空 JSON 对象 `{}`

## 响应 (Response)

### 状态码 200 (成功)

表示成功获取rkey服务信息。

*   **响应体**: `application/json`

| 字段         | 类型     | 描述             | 备注     |
| :----------- | :------- | :--------------- | :------- |
| `status`     | `string` | 响应状态         | 固定为 `"ok"` |
| `retcode`    | `number` | 响应码           |          |
| `data`       | `object` | 响应数据载荷     |          |
| &nbsp;&nbsp;&nbsp;&nbsp;`private_rkey` | `string` | 私聊rkey | 必须    |
| &nbsp;&nbsp;&nbsp;&nbsp;`group_rkey`   | `string` | 群聊rkey | 必须    |
| &nbsp;&nbsp;&nbsp;&nbsp;`expired_time` | `number` | rkey过期时间戳 | 必须    |
| &nbsp;&nbsp;&nbsp;&nbsp;`name`         | `string` | rkey名称 | 必须    |
| `message`    | `string` | 响应消息         |          |
| `wording`    | `string` | 响应文本描述     |          |
| `echo`       | `string` or `null` | 调用时传入的 echo 字段 | 可选     |

## 示例 (Example)

### 响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "private_rkey": "...",
    "group_rkey": "...",
    "expired_time": 1678886400,
    "name": "DefaultRkey"
  },
  "message": "",
  "wording": "",
  "echo": null
}
```
