# 设置群备注

**Endpoint:** `POST /set_group_remark`

**类别:** 群聊相关

## 说明

此API用于设置指定QQ群的备注。Bot需要是该群的管理员或群主才能成功设置群备注。

## 请求

*   **方法:** `POST`
*   **URL:** `/set_group_remark`
*   **Content-Type:** `application/json`

### 请求体参数

| 参数名    | 类型   | 必填 | 说明         |
| :-------- | :----- | :--- | :----------- |
| `group_id` | `string` | 是   | 群号         |
| `remark`  | `string` | 是   | 需要设置的群备注 |

### 请求体示例

```json
{
  "group_id": "819085771",
  "remark": "呀呼！！！"
}
```

## 响应

*   **状态码:** `200 OK`
*   **Content-Type:** `application/json`

### 响应体参数

| 参数名    | 类型    | 说明                                                                                                                               |
| :-------- | :------ | :--------------------------------------------------------------------------------------------------------------------------------- |
| `status`  | `string` | 状态，`ok` 表示成功，其他表示失败。                                                                                                 |
| `retcode` | `number` | 返回码，参考 [返回码一览](link_to_retcode_doc) 或具体的错误信息。`0` 通常表示成功。                                                   |
| `data`    | `null`  | 此接口成功时无额外数据返回。                                                                                                       |
| `message` | `string` | 简略的错误信息（status非`ok`时可能出现）。                                                                                          |
| `wording` | `string` | 详细的错误描述（status非`ok`时可能出现），更适合用户阅读。                                                                               |
| `echo`    | `string` | 可选字段，对应请求时传入的 `echo` 字段，用于标识请求。                                                                               |

### 成功响应示例

```json
{
  "status": "ok",
  "retcode": 0,
  "data": null,
  "message": "",
  "wording": "",
  "echo": "some_user_defined_string"
}
```

## 错误处理

当 `status` 不为 `ok` 时，表示请求失败。可以通过 `retcode`、`message` 和 `wording` 字段获取失败的详细信息。常见的失败原因可能包括：
*   Bot不是群管理员或群主。
*   `group_id` 不存在或Bot不在该群。
*   权限不足。

请参考 [返回码一览](link_to_retcode_doc) 获取更多关于 `retcode` 的信息。