## 移动群文件

**Endpoint:** `POST /move_group_file`

**标签:** 文件相关

### 说明

此接口用于将群文件从当前目录移动到目标目录。

### 请求体 (Request Body)

使用 `application/json` 格式发送请求体。

| 参数名                    | 类型     | 必填 | 说明                               |
| :------------------------ | :------- | :--- | :--------------------------------- |
| `group_id`                | number/string | 是   | 群号                               |
| `file_id`                 | string   | 是   | 文件ID                             |
| `current_parent_directory`| string   | 是   | 当前父目录，根目录请填写 `/`         |
| `target_parent_directory` | string   | 是   | 目标父目录                         |

**请求体示例:**

```json
{
  "group_id": 123456,
  "file_id": "ee87348ece794e778a4ac9e81f2edb17",
  "current_parent_directory": "/",
  "target_parent_directory": "/ca0f1860-6362-4777-bc50-9f31993c6877"
}
```

### 响应 (Response)

#### 成功响应 (HTTP 200)

文件移动成功时返回。

**响应体结构:**

```json
{
  "status": "ok",
  "retcode": 0, // 或其他表示成功的错误码
  "data": {
    "ok": true // 表示操作成功
  },
  "message": "", // 相关的消息
  "wording": "", // 相关的描述
  "echo": null // 或请求时携带的 echo
}
```

`data` 字段中的 `ok` 布尔值表示文件是否成功移动。

