# API Endpoint: /trans_group_file

## 方法

`POST`

## 概述

转存群文件为永久文件

## 描述

将指定的群文件转存到群的永久文件列表中。这通常用于将临时文件（例如通过私聊发送然后转发到群里）保存为群的长期可用文件。此操作会使得该文件在群文件列表中永久可见和可访问。

## 标签

文件相关

## 请求体

使用 `application/json` 格式，包含以下参数：

| 参数      | 类型             | 描述                                                                 | 是否必须 |
| :-------- | :--------------- | :------------------------------------------------------------------- | :------- |
| `group_id` | number 或 string | 群号                                                                 | 是       |
| `file_id` | string           | 待转存的群文件 ID。**注意**：此处的 `file_id` 是指群文件 ID，通常在收到群文件消息时获取，而不是通过消息发送的文件的 `file` 字段。 | 是       |

## 响应

### 成功 (状态码 200)

返回 `application/json` 格式的数据，结构如下：

| 参数    | 类型    | 描述                               |
| :------ | :------ | :--------------------------------- |
| `status`  | string  | 状态，通常为 "ok"                   |
| `retcode` | number  | 返回码，0 表示成功                 |
| `data`    | object  | 响应数据                         |
| &nbsp;&nbsp;&nbsp;&nbsp;`ok` | boolean | 是否成功转存文件，`true` 表示成功 |
| `message` | string  | 消息，可能包含错误信息             |
| `wording` | string  | 附加说明                           |
| `echo`    | string  | 请求附带的 echo 字段                 |

## 示例

### 请求示例

```json
{
  "group_id": 123456789,
  "file_id": "a1b2c3d4-e5f6-7890-1234-abcdefghijkl.dat"
}
```

### 响应示例 (成功)

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "ok": true
  },
  "message": "",
  "wording": "",
  "echo": null
}
```