## /rename_group_file - 重命名群文件

**Endpoint:** `POST /rename_group_file`

**描述:**

该API用于重命名指定群组中的一个文件。你需要提供群组ID、文件的唯一ID、文件当前所在的父目录路径以及文件的新名称。

**请求体 (Request Body):**

| 字段名                 | 类型     | 必须 | 说明                                      | 示例值                                       |
| :--------------------- | :------- | :--- | :---------------------------------------- | :------------------------------------------- |
| `group_id`             | `number` or `string` | 是   | 群组ID。                                  | `123456`                                     |
| `file_id`              | `string` | 是   | 文件的唯一ID。                            | `27c94e1fff104282b8b07368c984e221`           |
| `current_parent_directory` | `string` | 是   | 文件当前所在的父目录路径。根目录为 `/`。 | `/ca0f1860-6362-4777-bc50-9f31993c6877`      |
| `new_name`             | `string` | 是   | 文件的新名称。                            | `吃糖葫芦.mp4`                               |

**请求体示例:**

```json
{
  "group_id": 123456,
  "file_id": "27c94e1fff104282b8b07368c984e221",
  "current_parent_directory": "/ca0f1860-6362-4777-bc50-9f31993c6877",
  "new_name": "吃糖葫芦.mp4"
}
```

**响应 (Response):**

成功响应表示请求已被接收并处理，但不保证文件一定被成功重命名（例如权限问题）。具体操作结果请查看 `data` 字段中的 `ok` 布尔值。

| 字段名    | 类型     | 说明                                       |
| :-------- | :------- | :----------------------------------------- |
| `status`  | `string` | 响应状态，通常为 "ok"。                    |
| `retcode` | `number` | 响应码。                                   |
| `data`    | `object` | 响应数据。                                 |
| `data.ok` | `boolean` | 指示操作是否成功，`true` 表示成功，`false` 表示失败。 |
| `message` | `string` | 响应消息。                                 |
| `wording` | `string` | 响应提示语。                               |
| `echo`    | `string` | 可能包含请求中的 `echo` 字段。             |

**响应示例 (成功):**

```json
{
  "status": "ok",
  "retcode": 0,
  "data": {
    "ok": true
  },
  "message": "",
  "wording": "",
  "echo": null
}
```

**注意事项:**

*   确保机器人拥有管理群文件的权限。
*   `file_id` 是文件在腾讯服务器上的唯一标识，不是文件名。
*   `current_parent_directory` 必须是文件当前所在的准确目录路径，否则可能找不到文件。
*   重命名是否成功最终取决于 `data.ok` 的值。